///**************************************
/// AcroPack1 Copyright (C) 2005 by Windjack Solutions, All rights reserved
//
//  Requires Acrobat Professional 6.0, 7.0, or greater.
// 
//  JavaScript for creating 3 folder level buttons on the Acrobat Toolbar.
//  1.  WindJack Solutions Logo Button: WindJack Solutions About Box.
//  2.  New Document Button: Creates a new blank PDF document of the specified size.
//  3.  Resize Pages Button:  Displays dialog of options for resizing any of the 
//                            Page Boxes.  Options provided for select page ranges.
// 
//
//<AcroButtons name="WindJackLogo" version="2.0" "modified="1/30/2005 11:39:6" id="1:7:2005:18:22:28">
// This script was created by AcroButtons from Windjack Solutions, www.windjack.com
// Do not modify the code inbetween the AcroButtons Tags
// Moving or changing tag positions can compromise AcroButtons' ability to handle
// this file
// Place Extra-AcroButton Code in the following "Code Above" Section
//
// Function to round a number using the \"symmetric arithmetic\" method.
// \"factor\" (default 1) can be used to round to a specific number of decimal places.
// For example, a factor of 100 rouns to 2 decimal places.\n" +
// Algorithm adapted from http://support.microsoft.com/default.aspx?scid=kb;en-us;196652
function SymArithRound(x, factor) {
   // original VB code:  SymArith = Fix(x * factor + 0.5 * Sgn(x)) / factor
   // test and return if x = 0 to avoid problems with \"sign\" code below
   if (0 == x) { return 0; }
   // Set default value for \"factor\" if not specified.
   if ( arguments.length < 2 ) {
      var fac = 1;
   } else {
      var fac = factor;
   }
   // JavaScript has no \"sign\" function, so we need to do it ourselves.
   if (x > 0) {
      var rnd = 0.5;
   } else {
      var rnd = -0.5;
   }
   var result = Fix(x * fac + rnd) / fac;
   //console.println(\'SymArithRound: x, factor =\' + x + \', \' + fac + \', result = \' + result);
   return result;
}

function Fix(x) {
   // Returns the integer portion of real value \"x\".  JavaScript doesn\'t have this operation, either!!
   //var fixed = x - (x % 1);
   //console.println(\'Fix(\' + x + \') = \' + fixed);
   //return fixed;\n" +
   return x - (x % 1);
}

//<CodeAbove>
//</CodeAbove>

//<JSCodeSnippet name="ImageData6">
var strData6WindJackLogo = 
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"FFBDC8E9FF6E8BCAFF8CA2D700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000B5BBCDFF264C9AFF24509CFF4274B7FF7696CE00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C0FF857A71FFA7A56DFFA7A56DFFA7A56DFFA7A56DFFA7A56D" +
"FFA7A56DFFA7A56DFFA7A56DFFA7A56DFFB0AC6BFF708C94FF214D9FFF1B4B99FF124895FF0E4794" +
"FF49676EFF49676EFFC2B068FFB0AC6BFFA7A56DFFA7A56DFFA7A56DFFA7A56DFFA7A56DFFA7A56D" +
"FFA7A56DFFA7A56DFFA7A56DFFA7A56DFF90886500C0C0C0FF968D75FFFFFC82FFFFFF85FFFFFF85" +
"FFFFFF85FFFFFF85FFFFFF85FFFFFF85FFFFFF85FFFFFF85FFFFFF85FFF8F282FF3F6594FF1E4B9F" +
"FF184B97FF0C4592FF0F4996FF0F4996FF708C94FFE2E990FFFFFF8AFFFFFF85FFFFFF85FFFFFF85" +
"FFFFFF85FFFFFF85FFFFFF85FFFFFF85FFFFFF85FFFFFF8AFFCFC77000C0C0C0FF968D75FFFFFCAC" +
"FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1" +
"FFA5AFACFF1E4B9FFF1B4B99FF144996FF0A4391FF0A4391FF063C8DFF164A8FFFC3CEADFFFFFFB7" +
"FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFEB1FFFFFFB7FFCABF8C00C0C0C0" +
"FF8C8D8FFFFCFCFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFFFFFFFFFFEEF4FCFF3A62AFFF1B4B99FF184B97FF0D4694FF0D4694FF0B4491FF063C8D" +
"FF2D68B1FFD2E2F8FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF" +
"00CACACA00C0C0C0FF968D75FFFFF2A7FFFFF4ACFFFFF2ABFFFFF2ABFFFFF2ABFFFFF2ABFFFFF2AB" +
"FFFFF2ABFFFFF2ABFFFFF2ABFFFFF2ABFFFFFCACFF708C94FF1B499CFF1D4D9AFF114896FF114896" +
"FF0B4491FF0B4491FF063C8DFF184E9FFFC3CEADFFFFFCACFFFFF2ABFFFFF2ABFFFFF2ABFFFFF2AB" +
"FFFFF2ABFFFFFEB1FFCABF8C00C0C0C0FF92845EFFFFDB4DFFFFDB4DFFFFDB4DFFFFDB4DFFFFDB4D" +
"FFFFDB4DFFFFDB4DFFFFDB4DFFFFDB4DFFFFDB4DFFFFDB4DFFFFE24BFF8C8A76FF1E4B9FFF1F4E9A" +
"FF144996FF144996FF0C4592FF0B4491FF0B4491FF053C95FF49676EFFFFE24BFFFFDB4DFFFFDB4D" +
"FFFFDB4DFFFFDB4DFFFFDB4DFFFFE24BFFCAA94300C0C0C0FF92845EFFFFCF40FFFFCF40FFFFCF40" +
"FFFFCF40FFFFCF40FFFFCF40FFFFCF40FFFFCF40FFFFCF40FFFFCF40FFFFCF40FFFFD93BFF969567" +
"FF2350A7FF22509CFF194B99FF194B99FF0E4794FF0B4491FF0B4491FF0B4491FF074095FF969567" +
"FFFFDB40FFFFCF40FFFFCF40FFFFCF40FFFFCF40FFFFDB40FFCAA94300C0C0C0FF908865FFFEDC6E" +
"FFFFDF73FFFFDE72FFFFDE72FFFFDE72FFFFDE72FFFFDE72FFFFDE72FFFFDE72FFFFDE72FFFFDE72" +
"FFFFE870FF9EA088FF28519EFF24509CFF1D4D9AFF1D4D9AFF124895FF0C4592FF0B4491FF0B4491" +
"FF074095FF204E8AFFCFC770FFFFE574FFFFDE72FFFFDE72FFFFDE72FFFFE574FFC2B06800C0C0C0" +
"FF8C8D8FFFFCFCFCFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFFFFFFFFFFFFFFFFFF9AAFE1FF28519EFF28519EFF1F4E9AFF1F4E9AFF164A97FF0D4694" +
"FF0B4491FF0B4491FF0B4491FF063C8DFF4274B7FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF" +
"00CACACA00C0C0C0FF8C8A76FFFCE3A0FFFFE6A4FFFFE6A4FFFFE6A4FFFFE6A4FFFFE6A4FFFFE6A4" +
"FFFFE6A4FFFFE6A4FFFFE6A4FFFFE6A4FFFFF2A7FF9695B1FF2D52A4FF2B539FFF22509CFF22509C" +
"FF194B99FF114896FF0B4491FF0B4491FF0B4491FF0A4391FF0C469700B8C3B4FFFFECA3FFFFE6A4" +
"FFFFE6A4FFFFEEA8FFCABF8C00C0C0C0FF907350FFFEAF21FFFFAB24FFFFA924FFFFA924FFFFA924" +
"FFFFA924FFFFA924FFFFA924FFFFA924FFFFA924FFFFAB24FFFFAB24FF6C7492FF3459A8FF3257A2" +
"FF28519EFF28519EFF1D4D9AFF164A97FF0C4592FF0B4491FF0B4491FF0B4491FF053C95FF49676E" +
"FFFEAF21FFFFA924FFFFA924FFFFAF24FFCA862B00C0C0C0FF907350FFFE9F24FFFF9F28FFFF9E28" +
"FFFF9E28FFFF9E28FFFF9E28FFFF9E28FFFF9E28FFFF9E28FFFF9E28FFFE9F24FFD18B42FF4763AC" +
"FF3D5EA8FF3459A8FF2B539FFF2B539FFF204F9BFF184B97FF0E4794FF0B4491FF0B4491FF0B4491" +
"FF074095FF2F4A76FFFB9E28FFFF9F28FFFF9E28FFFFA228FFCA862B00C0C0C0FF907350FFFE8C24" +
"FFFF9128FFFF9128FFFF9128FFFF9128FFFF9128FFFF9128FFFF9128FFFF9128FFFF9427FFFF9423" +
"FF85797EFF4364B8FF3D5EA8FF395BA5FF2E55A0FF2E55A0FF24509CFF1D4D9AFF114896FF0B4491" +
"FF0B4491FF0B4491FF0A4391FF11478DFFDB8A33FFFF9427FFFF9128FFFF9427FFC8702A00C0C0C0" +
"FF907350FFFE8623FFFF8728FFFF8728FFFF8728FFFF8728FFFF8728FFFF8728FFFF8728FFFF8728" +
"FFFE8623FFD18B42FF556EB5FF4C67B0FF4361ABFF3D5EA8FF3257A2FF3257A2FF28519EFF204F9B" +
"FF144996FF0C4592FF0B4491FF0B4491FF0B4491FF084396FF907350FFFE8C24FFFF8728FFFF8B27" +
"FFC8702A00C0C0C0FF8B6250FFFE751BFFFF7420FFFF7420FFFF7420FFFF7420FFFF7420FFFF7420" +
"FFFF7420FFFF7420FFF87926FF6C7492FF5472BDFF526BB1FF4763ACFF3D5EA8FF3459A8FF3459A8" +
"FF2B539FFF24509CFF194B99FF0F4795FF0B4491FF0B4491FF0B4491FF064399FF4E4B70FFFE751B" +
"FFFF7420FFFF7420FFC8702A00C0C0C0FF8B6250FFFE751BFFFF7420FFFF7420FFFF7420FFFF7420" +
"FFFF7420FFFF7420FFFF7420FFFF7420FFF87926FF6C7492FF5472BDFF526BB1FF4763ACFF3D5EA8" +
"FF3459A8FF3459A8FF2B539FFF24509CFF194B99FF0F4795FF0B4491FF0B4491FF0B4491FF064399" +
"FF4E4B70FFFE751BFFFF7420FFFF7420FFC8702A00C0C0C0FF857A71FFFEC290FFFFC092FFFFC092" +
"FFFFC092FFFFC092FFFFC092FFFFC092FFFFC092FFFEC290FFC39595FF5E75B9FF5E75B9FF556EB5" +
"FF4C67B0FF4361ABFF395BA5FF395BA5FF2E55A0FF28519EFF1D4D9AFF144996FF0C4592FF0B4491" +
"FF0B4491FF074095FF3F6594FFFEC290FFFFC092FFFFC696FFC89C7B00C0C0C0FF8C8D8FFFFCFCFC" +
"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEBF5FFFF7E99D9FF637BBF" +
"FF5E75B9FF556EB5FF4C67B0FF4763ACFF3D5EA8FF3D5EA8FF3257A2FF2B539FFF1F4E9AFF184B97" +
"FF0E4794FF0B4491FF0B4491FF063C8DFF2D68B1FFF9FCFFFFFFFFFFFFFFFFFF00CACACA00C0C0C0" +
"FF856862FFFB8F5CFFFB8F5CFFFB8F5CFFFB8F5CFFFB8F5CFFFB8F5CFFFB8F5CFFE89E82FF8CA2D7" +
"FF6E8BCAFF6A82C6FF637BBFFF5E75B9FF526BB1FF4C67B0FF3D5EA8FF3D5EA8FF395BA5FF2E55A0" +
"FF22509CFF1B4B99FF124895FF0B4491FF0B4491FF084396FF204E8AFFF18B5FFFFB8F5CFFFF945E" +
"FFC4785400C0C0C0FF8B6250FFF24D19FFF2501FFFF2501FFFF2501FFFF2501FFFF54D19FFEF5226" +
"FF9695B1FF7E99D9FF7696CEFF6A82C6FF637BBFFF5E75B9FF556EB5FF4C67B0FF4361ABFF4361AB" +
"FF395BA5FF3257A2FF28519EFF1F4E9AFF164A97FF0C4592FF0B4491FF084396FF204680FFE65020" +
"FFF7511DFFFB521DFFB9472900C0C0C0FF8B6250FFF2501FFFEF5226FFEF5226FFEF5226FFF2501F" +
"FFEE562EFFC39595FF9AAFE1FF8CA2D7FF7E99D9FF6E8BCAFF6A82C6FF5E75B9FF556EB5FF4C6BB7" +
"FF3F65B5FF3F65B5FF3A62AFFF3459A8FF2B539FFF22509CFF194B99FF0D4694FF0B4491FF084396" +
"FF2F4A76FFEE4E27FFF45224FFF75325FFB9472900C0C0C0FF8B6250FFEE4622FFEC4727FFEE4622" +
"FFE93F1DFFE87361FFBDC8E9FFA8CFFFFF9AAFE1FF9695B1FFAB7682FFBB5E58FFBB5E58FFB9544B" +
"FFB9544BFFB9544BFF8C575CFF8C575CFF575E8FFF3459A8FF2956A7FF24509CFF1D4D9AFF114896" +
"FF0B4491FF064399FF2F4A76FFEE4622FFEC4727FFEE4E27FFB9472900C0C0C0FF865450FFE83D21" +
"FFE83D21FFEC5C41FFE98D7EFFD4C0D1FFCDA2B0FFC39595FFE25848FFE5442AFFEF3E20FFEF3E20" +
"FFEF3E20FFEF3E20FFEF3E20FFF54020FFF54020FFF54020FFE64226FFA04A4DFF47538DFF2350A7" +
"FF204F9BFF144996FF0D4694FF064399FF633F5EFFF94221FFE64226FFEC4727FFB3382B00C0C0C0" +
"FF865450FFE33420FFE87361FFF2AB9FFFE87361FFE23F2CFFE63622FFE33420FFE63622FFE63B25" +
"FFE33B26FFE33B26FFE33B26FFE33B26FFE33B26FFE33B26FFE33B26FFE33B26FFE63B25FFF13A21" +
"FFDE3C28FF4E4B70FF1C53A8FF1B4B99FF0F4996FF0C4592FFA83A39FFF13A21FFE33B26FFEB3C25" +
"FFB3382B00C0C0C0FF865450FFE34938FFE25848FFE33420FFDF2D1EFFE23425FFE23425FFE13526" +
"FFE13526FFE13526FFE13526FFE13526FFE13526FFE13526FFE13526FFE13526FFE13526FFE13526" +
"FFE13526FFE13526FFE63622FFDE3727FF4E4B70FF184E9FFF114896FF204680FFD73628FFE63525" +
"FFE13526FFE63525FFB3382B00C0C0C0FF865450FFE32820FFE12A26FFDE2F26FFDF3026FFDF3026" +
"FFDE2F26FFDE2F26FFDF3026FFE52E25FFE62A24FFE12F26FFDE2F26FFDF3026FFDE2F26FFDF3026" +
"FFDF3026FFDF3026FFDE2F26FFDE2F26FFE52E25FFF42A1FFFC23232FF1F4E9AFF1150A5FF4E4B70" +
"FFE82D23FFDF3026FFDF3026FFE52E25FFB12D2900C0C0C0FF856862FFBB211DFFE62A24FFE12A26" +
"FFDC2B26FFDC2B26FFDC2B26FFE12A26FFD82722FFB12D29FFA73334FFD82722FFE62A24FFE12A26" +
"FFDC2B26FFDC2A26FFDC2B26FFDC2B26FFE12A26FFE62A24FFC42A26FFA03533FFC42A26FF633F5E" +
"FF1150A5FF84354AFFE62A24FFDC2A26FFE12A26FFE52521FFA0353300C0C0C000C0C0C0FF85797E" +
"FF822929FFD41E20FFE52022FFE62224FFE22021FFC81E20FF813838FF9C9E9EFFCAD4D5FF735152" +
"FF992525FFD41E20FFE62224FFE62224FFE52022FFE52022FFC81E20FF992525FF857A7100C0C0C0" +
"FF7A6162FF842B2CFF65334FFFE52022FFE62224FFE52022FFC81E20FF753233FF8C8D8F00C0C0C0" +
"00C0C0C000C0C0C0FFA5AFACFF8C575CFFA54243FFA83A39FFA2494BFF7A6162FFCAD4D500C0C0C0" +
"00C0C0C000C0C0C0FF8C8D8FFF8C575CFFA83A39FFA73334FFA54243FFA54243FF735152FFA5AFAC" +
"00C0C0C000C0C0C000C0C0C0FF9C9E9EFF865450FFA54243FFA73334FFA54243FF85686200C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C0";
//</JSCodeSnippet>

//<JSCodeSnippet name="ImageData7">
var strData7WindJackLogo = 
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF7696CEFF6A9FF400C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF33373E" +
"FF282D38FF282D39FF272C37FF282D38FF242830FF2F3D57FF4B82D4FF2970D5FF316BB5FF6A735C" +
"FF3C3C3AFF282C39FF282D39FF272C37FF282D39FF282D38FF33373E00C0C0C0FF1E232AFF97977B" +
"FFB0B490FFB0AB8AFFB0A98AFFB1B088FFAFAF91FF7A97B8FF1251C6FF1355C0FF2D6BADFF5C7571" +
"FFA8A380FFB1AF8CFFB0AB8AFFB0B490FF97977BFF1E232A00C0C0C0FF23282FFFE9D897FFFFFFB0" +
"FFFFF4A7FFFFF4A7FFFFFEA8FFFFF1A2FFA0A290FF245ECFFF1862CBFF1257C8FF3B7ED9FFB1B9A7" +
"FFFFFEA8FFFFF9A4FFFFFFB0FFE9D897FF23282F00C0C0C0FF23282FFFD9AB3CFFFFC33EFFFFB83C" +
"FFFFB83CFFFFBB3CFFFFBC3AFFBC974AFF386DCEFF2065CAFF145CC3FF0E42C0FF4A81C3FFB8A458" +
"FFFFC738FFFFC43DFFD9AB3CFF23282F00C0C0C0FF23282FFFD9B352FFFFCE58FFFFC356FFFFC356" +
"FFFFC456FFFFC853FFCEA95FFF4273D2FF2A68CDFF1762C6FF1359C4FF114BBDFF4D615CFFF4C045" +
"FFFFD55CFFD9B352FF23282F00C0C0C0FF23282FFFD9C08CFFFFE6A5FFFEDC9FFFFEDC9FFFFFDE9F" +
"FFFEDF9EFFBDB39EFF4172DEFF346CCFFF1E64C8FF1461C2FF1048C0FF3979D8FFA3A89FFFFFF1A7" +
"FFD9C08CFF23282F00C0C0C0FF23282FFFDB7F0BFFFF9009FFF7880AFFF7880AFFFF8C06FFF48A0A" +
"FF8F6B3CFF4374E3FF3C70D1FF2768CAFF1660C3FF1258C8FF1255C7FF445043FFFC9704FFDC810A" +
"FF23282F00C0C0C0FF23282FFFD96C0BFFFE7807FFEB7208FFEC7208FFFC7404FFD97011FF636172" +
"FF4776E8FF4272D2FF306ACBFF1A62C6FF145EC4FF1152CDFF3A5F86FFDE720DFFE27206FF23282F" +
"00C0C0C0FF23282FFFD45F0DFFF56807FFE2620AFFEC6306FFF26306FFA76133FF688BE9FF567FDF" +
"FF4976D5FF386DCEFF2065C8FF1460C3FF1154CEFF3363A8FFA85C1BFFE86506FF23282F00C0C0C0" +
"FF23282FFFD7B090FFFFD2A9FFF7C8A2FFFFCE9EFFD5AB91FF8485ADFF698CF1FF6182DBFF5179D5" +
"FF4071CFFF2868CBFF1762C6FF1254C4FF306EC6FF9B9694FFE5BC95FF23282F00C0C0C0FF23282F" +
"FFCE754AFFF4844DFFF27438FFDE855CFFA4A0C4FF7EACFEFF6E97F9FF5D8CF1FF4F7FE5FF4473D5" +
"FF336BCDFF1C63C4FF1257C8FF2665C6FF7A656AFFE57944FF23282F00C0C0C0FF23282FFFC4340A" +
"FFEB3504FFCB552CFF9F8C9FFF96C3FBFF8AACFEFF8090D5FF7385CEFF5E82DBFF3E7CE9FF3271DE" +
"FF2267C8FF125CCDFF235EBCFF733B31FFE63C09FF23282F00C0C0C0FF23282FFFC43311FFDF532E" +
"FFB1797AFFA285A3FF925F70FF9E4641FFA03C33FF9F382DFF8C3936FF674561FF4A72C6FF236CD7" +
"FF1260D5FF2A5DB0FF8A2D21FFE22C05FF23282F00C0C0C0FF202831FFC7422CFFD75F53FFBB524E" +
"FFC63320FFDC2008FFE61E04FFE11F03FFE12003FFE22004FFD4240BFF862C34FF4D69B8FF1167E2" +
"FF355DA5FFB12314FFD82208FF20283100C0C0C0FF292024FFC3281FFFE21A0DFFDB0E02FFD70E01" +
"FFC21104FFBC1407FFD21408FFD5160AFFD51609FFE61404FFDE1101FF612233FF2763C7FF534C81" +
"FFEB1406FFCB1609FF29202400C0C0C0FF63312DFFA8160FFFCA0E09FFD1110DFFAF1814FF1D1D1D" +
"FF70231FFFB71611FFCB110DFFCB110DFFB41612FF841F16FF1D1D1DFF574068FF6D2038FFE60E06" +
"FFAC1915FF63322E00C0C0C000C0C0C0FF6C5E5FFF1D1D1DFF601D1EFF6D525300C0C0C000C0C0C0" +
"FF614A4BFF631D1DFF1D1D1DFF60474800C0C0C000C0C0C0FF685B5EFF582021FF1D1D1DFF685758" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C0";
//</JSCodeSnippet>


// Icon Generic Stream Object
//<JSCodeSnippet name="ButtonIconDef">
var oIconWindJackLogo = null;
if(app.viewerVersion < 7){
oIconWindJackLogo = {count: 0, width: 32, height: 32,
read: function(nBytes){return strData6WindJackLogo.slice(this.count, this.count += nBytes);}};
}else{
oIconWindJackLogo = {count: 0, width: 19, height: 19,
read: function(nBytes){return strData7WindJackLogo.slice(this.count, this.count += nBytes);}};
}
//</JSCodeSnippet>
if(app.viewerVersion >= 7) 
{
  var DoTheDialog = app.trustedFunction(function(oDlg)
  {
      var cRtn = null;
        app.beginPriv();
        oTrustDlg =  ANTrustPropagateAll(oDlg);
        cRtn = oTrustDlg.DoDialog();
        app.endPriv();
      return cRtn;
  });
}
else
  var DoTheDialog = function(oDlg){return oDlg.DoDialog();};

//<JSCodeSnippet name="EventCode">
var DoCmdWindJackLogo = 
" oIconWJBigLogo = {count: 0, width: 32, height: 32,\n" +
"read: function(nBytes){return strData6WindJackLogo.slice(this.count, this.count += nBytes);},\n" +
"GetIcon: function(){this.count=0;return this;}};\n" +
"\n" +
"\n" +
"  var WJAboutDlg =\n" +
"  {\n" +
"    bLblChange: false,\n" +
"    DoDialog: function()\n" +
"    {\n" +
"      if(app.viewerVersion >= 7) app.beginPriv();\n" +
"      return app.execDialog(WJAboutDlg);\n" +
"      if(app.viewerVersion >= 7) app.endPriv();\n" +
"    },\n" +
"    initialize: function(dialog)\n" +
"    {\n" +
"      this.result = \"Cancel\";\n" +
"      dialog.load(\n" +
"        {\n" +
"          \"stat\": \"WindJack Solutions, Inc.\\nPDF Software Development\\nSpecializing in Advanced JavaScript for Acrobat\\n\\nButtons created with AcroButtons and JavaScript Dialog Designer \\nfrom WindJack Solutions.\",\n" +
"          \"img1\": oIconWJBigLogo.GetIcon(),\n" +
"//          \"Ckbx\": global.bShowButtonLabels\n" +
"        }\n" +
"      );\n" +
"    },\n" +
"    \"But1\": function(dialog)\n" +
"    {\n" +
"       if(app.viewerVersion < 7)\n" +
"       {\n" +
"             if(app.doc != null)\n" +
"            {\n" +
"                  if((app.viewerType == \"Reader\") || (4 == app.alert(\"Acorbat 6.0 Pro will attempt to convert this page to PDF\\nDo you want to continue?\",1,2)))\n" +
"                  {\n" +
"                        app.doc.getURL(\"http://www.windjack.com/\",false);\n" +
"                        dialog.end()\n" +
"                  }\n" +
"             }\n" +
"             else\n" +
"                  app.alert(\"Acrobat 6.0 cannot display a web page without a document open\");\n" +
"       }\n" +
"       else\n" +
"             app.launchURL(\"http://www.windjack.com/\");\n" +
"    },\n" +
"    description:\n" +
"    {\n" +
"      name: \"Windjack Solutions, Inc.\",\n" +
"//      width: 315,\n" +
"      elements:\n" +
"      [\n" +
"        {\n" +
"          type: \"view\",\n" +
"          width: 302,\n" +
"          elements:\n" +
"          [\n" +
"            {\n" +
"              align_children: \"align_top\",\n" +
"              alignment: \"align_fill\",\n" +
"              type: \"view\",\n" +
"              width: 294,\n" +
"              elements:\n" +
"              [\n" +
"                {\n" +
"                  height: 52,\n" +
"                  item_id: \"img1\",\n" +
"                  type: \"image\",\n" +
"                  width: 60,\n" +
"                },\n" +
"                {\n" +
"                  alignment: \"align_fill\",\n" +
"                  bold: true,\n" +
"                  font: \"default\",\n" +
"//                  height: 95,\n" +
"                  char_height: 9,\n" +
"                  italic: true,\n" +
"                  item_id: \"stat\",\n" +
"                  multiline: false,\n" +
"                  type: \"static_text\",\n" +
"                  width: 150,\n" +
"                },\n" +
"              ]\n" +
"            },\n" +
"            {\n" +
"              align_children: \"align_row\",\n" +
"              alignment: \"align_fill\",\n" +
"              char_width: 8,\n" +
"              type: \"view\",\n" +
"              width: 105,\n" +
"              elements:\n" +
"              [\n" +
"                {\n" +
"                  height: 23,\n" +
"                  item_id: \"But1\",\n" +
"                  name: \"www.windjack.com\",\n" +
"                  type: \"button\",\n" +
"                  width: 135,\n" +
"                },\n" +
"                {\n" +
"                  type: \"ok\",\n" +
"                  ok_name: \"Close\",\n" +
"                },\n" +
"              ]\n" +
"            },\n" +
"          ]\n" +
"        },\n" +
"      ]\n" +
"    }\n" +
"  };\n" +
"\n" +
"if(app.viewerVersion >= 7)\n" +
"{// Add elements to dlg\n" +
"//    var oCkBox = \n" +
"//                {\n" +
"//                 item_id: \"Ckbx\",\n" +
"//                  type: \"check_box\",\n" +
"//                  name: \"Display button labels.\",\n" +
" //               };\n" +
"//   WJAboutDlg.description.elements[0].elements.splice(1,0,oCkBox);\n" +
"//\n" +
"//    WJAboutDlg[\"Ckbx\"] = function(dialog){this.bLblChange = true; };\n" +
"//\n" +
"//    WJAboutDlg.commit = function(dialog)\n" +
"//    {\n" +
"//       var oRlst = dialog.store();\n" +
"//       if(this.bLblChange)\n" +
"//           global.bShowButtonLabels = oRlst[\"Ckbx\"];\n" +
"//    };\n" +
"\n" +
"}\n" +
"else if(app.viewerType != \"Reader\")\n" +
"{// Convert Button to static text\n" +
"   WJAboutDlg.description.elements[0].elements[1].elements[0].type = \"static_text\";\n" +
"}\n" +
"DoTheDialog(WJAboutDlg);\n" +
"";
//</JSCodeSnippet>

//<JSCodeSnippet name="ButtonObjDef">
var oButObjWindJackLogo = 
{cName: "WindJackLogo",
cExec: DoCmdWindJackLogo,
cEnable: "event.rc = true",
cMarked: "event.rc = false",
cTooltext: "About WindJack Solutions, Inc.",
nPos: 0,
cLabel: "WindJack"};
//</JSCodeSnippet>
if(oIconWindJackLogo != null)
    oButObjWindJackLogo.oIcon = oIconWindJackLogo;

try{app.removeToolButton("WindJackLogo");}catch(e){}

//<JSCodeSnippet name="TryAddBut">
try
{
//</JSCodeSnippet>
//<JSCodeSnippet name="AddButtonfn">
    app.addToolButton(oButObjWindJackLogo);
//</JSCodeSnippet>
//<JSCodeSnippet name="CatchAddBut">
}catch(e)
{
}
//</JSCodeSnippet>
 
//</AcroButtons>


if(app.viewerType == "Reader")
{
   app.alert("AcroPack Demo Requires Adobe Acrobat Professional version 6.0 or 7.0");
   throw "Invalid Viewer";
}

///**************************************
/// NewDocument.js  Copyright (C) 2005 by Windjack Solutions, All rights reserved
//
//<AcroButtons name="NewDocument" version="2.0" "modified="1/28/2005 13:12:41" id="1:28:2005:13:12:41">
// This script was created by AcroButtons from Windjack Solutions, www.windjack.com
// Do not modify the code inbetween the AcroButtons Tags
// Moving or changing tag positions can compromise AcroButtons' ability to handle
// this file
// Place Extra-AcroButton Code in the following "Code Above" Section
//


//<CodeAbove>
//JavaScript Dialog
//Created by JSDialogs

// Paper size list used in both new Doc and resize pages
var sizeList =
[
{name:"Letter",w:612,h:792},
{name:"Legal",w:612,h:1008},
{name:"Executive",w:522,h:756},
{name:"A0",w:2384,h:2835},
{name:"A1",w:1684,h:2384},
{name:"A2",w:1190,h:1684},
{name:"A3",w:842,h:1190},
{name:"A4",w:595,h:842},
{name:"A5",w:420,h:595},
{name:"A6",w:298,h:420},
{name:"A7",w:209,h:298},
{name:"B0",w:2384,h:4008},
{name:"B1",w:2004,h:2835},
{name:"B2",w:1417,h:2004},
{name:"B3",w:1001,h:1417},
{name:"B4",w:709,h:1001},
{name:"B5",w:499,h:709},
{name:"B6",w:354,h:499},
{name:"B7",w:249,h:354},
{name:"B8",w:176,h:249},
{name:"B9",w:125,h:176},
{name:"B10",w:88,h:125},
{name:"C2",w:1837,h:1298},
{name:"C3",w:578,h:919},
{name:"C4",w:919,h:649},
{name:"C5",w:649,h:459},
{name:"C6",w:459,h:323}
];
  var NewDocDlg =
  {
		lastUnits:"Rad1",
		lastSize:"Letter",
		w: 0,
		h: 0,
		m_bLastMult: 1,
    DoDialog: function()
    {
      if(app.viewerVersion >= 7) app.beginPriv();
      return app.execDialog(this);
      if(app.viewerVersion >= 7) app.endPriv();
    },
    initialize: function(dialog)
    {
      this.result = "Cancel";
      var sizeInit = 
          {
            "Custom": -1,
            "Letter": -1,
            "Legal": -2,
            "Executive": -3,
            "A0": -2,
            "A1": -3,
            "A2": -4,
            "A3": -5,
            "A4": -6,
            "A5": -7,
            "A6": -8,
            "A7": -9,
            "B0": -9,
            "B1": -9,
            "B2": -9,
            "B3": -9,
            "B4": -9,
            "B5": -9,
            "B6": -9,
            "B7": -9,
            "B8": -1,
            "B9": -1,
            "B10": -1,
            "C2": -1,
            "C3": -1,
            "C4": -1,
            "C5": -1,
            "C6": -1,
          };

			sizeInit[this.lastSize] = 1;

      var loadParams = {"psiz": sizeInit};
      loadParams[this.lastUnits] = true;
      dialog.load(loadParams);
      dialog.enable({"wdth": false, "hght": false});

      if(this.lastSize == "Custom")
          dialog.load({"wdth":this.w ,"hght":this.h});
      
      this.m_bLastMult = 1;
      this["psiz"](dialog);
    },
    commit: function(dialog)
    {
       var rslt = dialog.store();
       if(rslt["Rad2"]){
         mult = 72;
         this.lastUnits = "Rad2";
       }else if(rslt["Rad3"]){
         mult = 2.835;
         this.lastUnits = "Rad3";
       }else{
				 var mult = 1;
				 this.lastUnits = "Rad1";
       }

       this.h = rslt["hght"] * mult;
       this.w = rslt["wdth"] * mult;

		 	 for(var entry  in rslt["psiz"])
			 {
					if(rslt["psiz"][entry]> 0)
					{
							this.lastSize = entry;
							break;
					}
			 }
    },
    "Rad3": function(dialog)
    {
       this["psiz"](dialog);
    },
    "Rad2": function(dialog)
    {
       this["psiz"](dialog);
    },
    "Rad1": function(dialog)
    {
       this["psiz"](dialog);
    },
    "psiz": function(dialog)
    {
			var rslts = dialog.store();
			var sel ="";
			for(var entry  in rslts["psiz"])
			{
					if(rslts["psiz"][entry]> 0)
					{
							sel = entry;
							break;
					}
			 }
			 var mult = 1;
			 if(rslts["Rad2"])
					 mult = 72;
			 else if(rslts["Rad3"])
					 mult = 2.835;
			 var bCustom = (sel =="Custom");
			 dialog.enable({"hght": bCustom,"wdth":bCustom});
			 var nH = 0, nW = 0;
			 if(bCustom)
			 {
							nH = (rslts["hght"] * this.m_bLastMult)/mult;
							nW = (rslts["wdth"] * this.m_bLastMult)/mult;
			 }
			 else
			 {
					var nLen = sizeList.length;
					for(var i=0;i<nLen;i++)
					{
							 if(sizeList[i].name == sel)
							{
									nH = sizeList[i].h/mult;
									nW = sizeList[i].w/mult;
									break;
							}
					}
			 }
			 dialog.load({"hght": nH,"wdth":nW});
			 this.m_bLastMult = mult;
    },
    description:
    {
      name: "New Document",
      elements:
      [
        {
          type: "view",
          elements:
          [
            {
              align_children: "align_top",
              type: "view",
              elements:
              [
                {
                  type: "view",
                  elements:
                  [
                    {
                      type: "popup",
                      item_id: "psiz",
                      height: 23,
                      width: 53,
                    },
                    {
                      align_children: "align_row",
                      type: "view",
                      elements:
                      [
                        {
                          item_id: "sta1",
                          name: "Width:",
                          type: "static_text",
                        },
                        {
                          alignment: "align_left",
 //                         char_width: 8,
                          height: 23,
                          item_id: "wdth",
                          type: "edit_text",
                          width: 88,
                        },
                      ]
                    },
                    {
                      align_children: "align_row",
                      height: 27,
                      type: "view",
                      width: 148,
                      elements:
                      [
                        {
                          height: 23,
                          item_id: "sta1",
                          name: "Height",
                          type: "static_text",
                        },
                        {
  //                        char_width: 8,
                          height: 23,
                          item_id: "hght",
                          type: "edit_text",
                          width: 88,
                        },
                      ]
                    },
                  ]
                },
                {
                  item_id: "cls1",
                  name: "Units",
                  type: "cluster",
                  elements:
                  [
                    {
                      group_id: "Unit",
                      item_id: "Rad1",
                      name: "points",
                      type: "radio",
                    },
                    {
                      group_id: "Unit",
                      item_id: "Rad2",
                      name: "inches",
                      type: "radio",
                    },
                    {
                      group_id: "Unit",
                      item_id: "Rad3",
                      name: "milimeters",
                      type: "radio",
                    },
                  ]
                },
              ]
            },
            {
              type: "ok_cancel",
            },
          ]
        },
      ]
    }
  };
var NewDocProc = null;
   if(app.viewerVersion < 7) 
   {
       console.println(event.type);
        if(event.type == "App")
        {
     app.addMenuItem({cName:"New Document", cParent:"File", cExec:"var myDoc = app.newDoc(NewDocDlg.w,NewDocDlg.h);"});
         }
   }
   else
   {
      NewDocProc = app.trustedFunction(
          function()
          {
              app.beginPriv();
              var myDoc = app.newDoc(NewDocDlg.w,NewDocDlg.h);
//              if(newDocOpts.name.length > 0)
//                   myDoc.info.Title = newDocOpts.name;
              app.endPriv();
          });
   }
//</CodeAbove>

//<JSCodeSnippet name="ImageData6">
var icNewDocLg = 
"FFFFFE0200C0C0C0FF4040B7FF4444B9FF4444B9FFFEEF2AFFA98D74FF4444B9FF4444B9FF4444B9" +
"FFFEEC06FFC0B424FF4444B9FF4444B9FF4444B9FF4444B9FF4444B9FF4444B9FF4141B8FF4243B9" +
"FF7474CDFFB7BBE800C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C0FFFFEB43FFF8D925FF4040B7FFAFAFE2FFC4C4EBFFFEEB2EFFF2B867FFC4C4EBFFC4C4EB" +
"FFFFEE07FFF8D925FFC4C4EBFFC4C4EBFFC4C4EBFFC4C4EBFFBBC3EBFFBBC3EBFFBFC8EEFFB7BBE8" +
"FF6769CAFF3132B0FF5E63C7FF9F9FDF00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C0FFFFEB43FFF8D925FF9F9FDFFFF8F8FEFFFEEB2EFFFBC363FFFFFFFF" +
"FFFFEE07FFFEEF2AFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF8FFFFFFFFFFFF" +
"FFE8E9F9FF7C85D5FF3A58C2FF4D9ADCFF4D4ABBFF9B9BDC00C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FFFCE246FFFCDC32FFF4F4FCFFFFEE2CFFFBC654" +
"FFFFEE07FFF8D925FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFFFFFBFEFFFFF8FFFFFFF5FCFFFFEFF9FF" +
"FFF4FFFFFFDCE8F8FF747CD4FF3A58C2FF57B4E6FF2E6ECDFF4448B9FF9591D800C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FFFCE246FFFCDC32FFFFEF2C" +
"FFFFEC0AFFFFEE3EFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFCFFFFF9FBFFFFF5FCFFFFF4FBFF" +
"FFEBF8FFFFF4FFFFFFDCE8F8FF747CD4FF3A58C2FF57B4E6FF2A87D7FF166ECDFF3C47B9FF8C8AD7" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FFFFEC00FFFFEC00FFFFEC00FFFFEC00FFFFEC00" +
"FFFFEC00FFFFEC00FFFFEC00FFFFEC00FFFFE901FFFFE807FFFFE807FFFFEE3EFFF5FCFFFFF4FBFF" +
"FFEFF9FFFFE9F7FFFFEFFFFFFFDCE8F8FF747CD4FF3A58C2FF4D9ADCFF247CD2FF166ECDFF166ECD" +
"FF2E43B8FF827ED100C0C0C000C0C0C000C0C0C000C0C0C0FFFCAF64FFFCAF64FFFCAF64FFFCAF64" +
"FFF8D925FFFFD917FFFBC654FFFBC654FFFBC363FFFECE9CFFFBC363FFFECA70FFFBEBC6FFF7FFFF" +
"FFF4FBFFFFEBF8FFFFE5F5FFFFEBFFFFFFD9EBF8FF747CD4FF243BB5FF2E6ECDFF1D59C4FF1D59C4" +
"FF1D59C4FF1D59C4FF3B36B1FF7474CD00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7" +
"FFFFEC0AFFFFD917FFFEEB2EFFFEDB52FFFFEE3EFFF8A75DFFFCEEE5FFFCFCFFFFFBFEFFFFF5FCFF" +
"FFF4FBFFFFEEF9FFFFE8F8FFFFE2F5FFFFE3FBFFFFD5F1FCFF8D9CE1FF5253C2FF6A5DC6FF6C60C7" +
"FF6C60C7FF6C60C7FF675FC7FF5253C2FF3132B000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"FFFFEC0AFFFCBF42FFF4F4FCFFFFEE2CFFFBC363FFFFFFFFFFFFEE3EFFF9B35BFFF9F1ECFFFBFEFF" +
"FFF5FCFFFFF4FBFFFFEEF9FFFFE6F7FFFFE2F5FFFFE2F5FFFFD9F2FFFFCAE8FEFFB7D5F8FFABCAF7" +
"FFABCAF7FFA4C6F7FFA2C4F4FF96B9F1FF747CD4FF4141B800C0C0C000C0C0C000C0C0C000C0C0C0" +
"FFFFEC0AFFFCBF42FF9F9FDFFFF4F4FCFFFEEB2EFFFBC363FFFCFCFCFFFEFEFFFFFFEE3EFFFBC654" +
"FFF9F1ECFFF1F9FCFFEEF9FCFFE9F7FFFFE5F5FFFFDCF2FCFFD4EEF7FFD4EEF7FFD5F1FCFFCAE8FE" +
"FFB7D5F8FFB1DBFBFFAFD7FBFFABD5FBFF9BC6F4FF5D6DCEFF4040B700C0C0C000C0C0C000C0C0C0" +
"FFFFEC0AFFFEC436FF4040B7FFA29FDBFFF4F4FCFFFEEB2EFFEEB45EFFEEEEEFFFDCDFE1FFB8C2C8" +
"FFFFEE3EFFFBC654FFDCDFE1FFACBBC4FFC3D4DEFFD9EBF8FFACBBC4FF8B9EABFF97AFBDFFB1CEE1" +
"FFB4D1E3FF8B9EABFF97B7CAFF9FC0D7FFBBEEFFFF9FCEF9FF5F6BCEFF4040B700C0C0C000C0C0C0" +
"00C0C0C0FFFEC43600C0C0C0FF4040B7FF9F9FDFFFF4F4FCFFFFF174FFEEB45EFFDCDFE1FFC2C7CB" +
"FF8C9092FF82888BFFC4CDD2FFCBD7D9FF82888BFFA4ABB0FFC4DBE5FF92A3ADFF677A8AFF819099" +
"FF9EB8CBFF9EB8CBFF5B6D7CFF6B8596FF7CA0B9FFBBEEFFFF9FCEF9FF5E6BCEFF4040B700C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9F9FDFFFF4F4FCFFFFF174FFEEE9A4FFF9F9F9" +
"FFEEEEEFFFDCDFE1FFDCDFE1FFF1F9FCFFEBF7F8FFCBD7D9FFCDDBE1FFD4EEF7FFCAE3ECFFC4DBE5" +
"FFBDDEEEFFBDDEEEFFBFE6FBFFA5C7D7FFA5C7D7FFA4D2E8FFB1E8FFFF9FCEF9FF5E6BCEFF4040B7" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9F9FDFFFF4F4FCFFFFFFFFFFF9F9F9" +
"FFF9F9F9FFF4F8F8FFEEEEEFFFF8FEFCFFEBF7F8FFE6F7F9FFEFFFFFFFE5F5FCFFD9F1F9FFDBF8FF" +
"FFD5F1FCFFCEF1FEFFC3ECFEFFB8DFECFFBFE9F8FFBBE5FBFFB3E1F9FFA9DEFFFF99CAF9FF5B6BCE" +
"FF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9F9FDFFFF4F4FCFFFFFFFF" +
"FFB5B5B5FFB5B5B5FFA4ABB0FF8C9092FFC4CDD2FFC2C7CBFFB8C2C8FFC3D4DEFF92A3ADFF97AFBD" +
"FFBFD7E9FF9EB8CBFF9EB8CBFF9FC0D7FF6B8596FF7295ABFF7295ABFF7CA0B9FFB1E8FFFF99CDF9" +
"FF5B6BCEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9F9FDFFFF4F4FC" +
"FFFFFFFFFFB5B5B5FF9C9EA0FFA4ABB0FF8C9092FFC4CDD2FFB8C2C8FFB8C2C8FFC3D4DEFF8B9EAB" +
"FF8B9EABFFB4D1E3FF9EB8CBFF97B7CAFF9FC0D7FF6B8596FF7CA0B9FF6B8596FF7CA0B9FFADEBFF" +
"FF99CAF9FF5B6BCEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9F9FDF" +
"FFF4F4FCFFFFFFFFFFF9F9F9FFEEEEEFFFF4F8F8FFEEEEEFFFEEF9FCFFF1FBFFFFE9F7FFFFE5F9FF" +
"FFD7EEF4FFCAE3ECFFCEF1FEFFC8EBFEFFBFE2F8FFBBE5FBFFB3E1F9FFB8E5FFFFACDEF2FFABE2F9" +
"FFA3DBFFFF99CAF9FF5B6BCEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7" +
"FF9F9FDFFFF5F4FCFFFFFFFFFFF4F8F8FFDCDFE1FFDCDFE1FFF5FCFFFFE5EFF4FFCBD7D9FFC3D4DE" +
"FFC4DBE5FFCAE3ECFFCBE9F8FFBDDEEEFFBDDEEEFFBFE5FFFFB3E1F9FFB3E1F9FFA0CEE5FFA0CEE5" +
"FF9ACFE9FFA3DFFFFF94C7F9FF5B69CEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"FF4040B7FF9F9FDFFFF4F4FCFFFFFFFFFFB5B5B5FF8C9092FF82888BFFCDDBE1FFB8C2C8FF819099" +
"FF819099FF6B8596FF8B9EABFFA5C7D7FF8FA8B9FF97AFBDFF9FC0D7FF87AFCAFF94BBD7FF677A8A" +
"FF6B8596FF7295ABFFADEBFFFF94C7F9FF5B69CEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C0FF4040B7FF9F9FDFFFF1F4FCFFFFFFFFFFC2C7CBFFB8C2C8FFA4ABB0FFD1DEE5FFC3D4DE" +
"FFACBBC4FFACBBC4FF92A3ADFF9EB8CBFFB4D1E3FF9FC0D7FF9FC0D7FF9FC6DEFF95BCD7FF9BC6E3" +
"FF7295ABFF7CA0B9FF87AFCAFFA5E3FFFF94C7F9FF5B69CEFF4040B700C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF4040B7FF9F9FDFFFF1F4FCFFFBFEFFFFF4F8F8FFF1F9FCFFEBF7F8FFE5F5FC" +
"FFDCF2FCFFDCF2FCFFD5F1FCFFCFEBF8FFCBE9F8FFC4E8FFFFBFE6FBFFBBE5FBFFB3E1F9FFB1DBFB" +
"FFA8DCFFFFA4D9F8FFA2DBFBFF9FD9FCFF9ED8FFFF8FC6F9FF5B69CEFF4040B700C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C0FF4040B7FF9E9FDFFFECF1FCFFF5FCFFFFF5FCFFFFF1FBFFFFEEF9FF" +
"FFE9F7FFFFE1F2FFFFDCF4FFFFD5EFFFFFD2EEFFFFCEECFFFFC4E8FFFFBDE6FFFFB8E5FFFFB3E1FF" +
"FFB3E1FFFFA9DEFFFFA8DCFFFFA3DFFFFF9EDBFFFF9BD8FFFF8FC6F9FF5B69CEFF4040B700C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9C9EDFFFECF1FCFFF4FBFFFFEFF9FFFFE9F7FF" +
"FFE5F5FFFFE5F5FFFFDBF1FFFFD5EFFFFFCEECFFFFCEECFFFFC4E8FFFFBFE5FFFFB9E2FFFFB9E2FF" +
"FFB3E1FFFFA9DEFFFFA8DCFFFFA3DBFFFF9ED8FFFF9BD8FFFF9AD7FFFF8FC6F9FF5B69CEFF4040B7" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9A9EDFFFECF1FCFFF4FBFFFFEEF9FF" +
"FFE9F7FFFFE5F5FFFFE1F2FFFFD9F1FFFFD2EEFFFFCEECFFFFC8EBFEFFBFE5FFFFBCE5FFFFB8E5FF" +
"FFB3E1FFFFADDFFFFFA8DCFFFFA4DBFFFFA2D9FFFF9ED8FFFF9AD7FFFF99D7FFFF8FC6F9FF5B69CE" +
"FF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9A9EDFFFE8F1FCFFF1FBFF" +
"FFEBF8FFFFE5F5FFFFE1F2FFFFDBF1FFFFD5EFFFFFD2EEFFFFCEECFFFFC4E8FFFFBFE5FFFFB9E2FF" +
"FFB3E1FFFFADDFFFFFA9DEFFFFA8DCFFFFA3DBFFFF9ED8FFFF9AD7FFFF99D7FFFF99D7FFFF8FC6F9" +
"FF5B69CEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9C9EDFFFE5EFFC" +
"FFEFF9FFFFE9F7FFFFE2F5FFFFDCF4FFFFD9F1FFFFD2EEFFFFCEECFFFFC8EBFEFFBFE5FFFFBCE5FF" +
"FFB8E5FFFFB3E1FFFFADDFFFFFA8DCFFFFA4DBFFFFA0D9FFFF9ED8FFFF9AD7FFFF99D7FFFF99D7FF" +
"FF8FC6F9FF5B69CEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FF9A9EDF" +
"FFE5EFFCFFEBF8FFFFE6F7FFFFE1F2FFFFDBF1FFFFD5EFFFFFCEECFFFFC8EBFEFFC4E8FFFFBFE5FF" +
"FFB8E5FFFFB3E1FFFFADDFFFFFA9DEFFFFA4DBFFFFA2D9FFFF9ED8FFFF9AD7FFFF99D7FFFF99D7FF" +
"FF99D7FFFF8FC6F9FF5B69CEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7" +
"FF9A9EDFFFEBF8FFFFF4FFFFFFEFFFFFFFE6FCFFFFE3FBFFFFDBF8FFFFDBF8FFFFD1F5FFFFCBF2FF" +
"FFC3ECFEFFC3ECFEFFBBEEFFFFB1E8FFFFB1E8FFFFA9E5FFFFA5E3FFFFA3DFFFFF9EE1FFFF9EE1FF" +
"FF9EE1FFFF9EE1FFFF94CEFBFF5B69CEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"FF4040B7FF9195DBFF9CA5E1FF9CA5E1FF99A3E1FF99A3E1FF94A0E1FF94A0E1FF8D9CE1FF8A9CE1" +
"FF8A9CE1FF829AE1FF829AE1FF829AE1FF7897E1FF7897E1FF7897E1FF7897E1FF7897E1FF7392E1" +
"FF7392E1FF7392E1FF7392E1FF7392E1FF5B69CEFF4040B700C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C0FF4040B7FF4444B9FF4444B9FF4444B9FF4444B9FF4444B9FF4444B9FF4444B9FF4244B9" +
"FF4244B9FF4244B9FF4244B9FF4244B9FF4244B9FF4244B9FF4244B9FF4244B9FF4244B9FF4244B9" +
"FF4243B9FF4243B9FF4243B9FF4243B9FF4243B9FF4242B7FF4040B700C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C0";
//</JSCodeSnippet>

//<JSCodeSnippet name="ImageData7">
var icNewDocSm = 
"00C0C0C000C0C0C0FF8C8892FF7878CEFFBBBB67FF999972FF9F9F78FF7878CEFF7878CEFF7678CE" +
"FF7477CEFF595BC2FF7878CEFFDCDCE800C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FFB2B2A1FFFFF9BAFFFFFC47FFFFFF92FFFFFFFFFFFEFEFFFFFAFDFFFFF4FBFF" +
"FFEDF8FFFF929ADBFF5FA4E1FF5569C8FFD2D2DB00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C0FFDFDFA0FFC0C06EFFFFF93BFFFFF93BFFFFFF7FFFFFFF7FFFFEFEBFFFF6FBFFFFEFF8FF" +
"FFE7F6FFFF9099DBFF5FA4E1FF2E84D4FF4D63C600C5C5D600C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FFB8B87FFFFFFFA3FFFFFF7FFFFFF77FFFFFFFFFFFFAFEFFFFF5FAFFFFEEF8FF" +
"FFE5F5FFFF8E99DBFF318AD7FF1774CFFF0F6DCDFF4040B7FFC7C7E100C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FFC5C573FFFFFFFFFFFFFF7FFFFFFBBFFFFEF67FFFF8FCFFFFF1F9FFFFE8F7FF" +
"FFE0F3FFFFA1B1E6FF6972CEFF6771CEFF6370CEFF555DC5FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF8A8ACAFFFFFFFFFFFFFBBFFFFFFFFFFFFCFEFFFFF5FBFFFFECF7FFFFE4F4FF" +
"FFDBF1FFFFCFECFFFFB7D5F8FFAFD1F8FFA5CEF8FF6879D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9C9CC7FFFFFFFF00CACACAFFD4D5D5FF91949500C0C5CAFFA0AAB1FFE2F4FF" +
"FF7E8B95FFA0B9CAFF728695FF7D99ACFFAEDFFFFF6779D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9C9CC7FFFFFFFFFFE4E4E4FFE2E3E400C3C7CAFFE0E9EE00B5C2CAFFDDF2FF" +
"00B0C5D4FFB1D0E4FF96B5CAFF8FB3CAFFABDEFFFF6779D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9C9CC7FFFFFFFFFFE4E4E4FFCFD1D400C1C6CAFFD3DEE4FFC9DAE4FFBBD1DE" +
"FFB9D3E4FFADCEE4FF93B5CAFF90B6CFFFA7DCFFFF6378D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9C9CC7FFFFFFFF00C9C9CAFF9A9EA0FF8C919500B7C3CA00AFBFCAFF7B8B95" +
"FFA1BACAFF97B5CAFF86A8BDFF658195FFA5DBFFFF6378D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9C9CC7FFFFFFFFFFFBFEFFFFF4FAFFFFECF8FFFFE4F4FFFFD8F0FFFFCFECFF" +
"FFC7E8FFFFBBE3FFFFB2E1FFFFAADDFFFFA2D9FFFF6378D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9C9CC7FFFDFEFF00CACDCFFF9AA0A4FFE8F7FFFF8B979FFF80909AFFC9EAFF" +
"FF98B6CAFF96BCD4FF6C8BA0FF698AA0FF9FD8FFFF6275D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9C9CC7FFFCFEFFFFF5FAFFFFEBF7FFFFE3F4FFFFDCF1FFFFCFEBFFFFC6E8FF" +
"FFBCE4FFFFB2E0FFFFA9DCFFFFA4DAFFFF9CD7FFFF6175D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9C9CC7FFF8FDFFFFF2FAFFFFE9F6FFFFE0F3FFFFD8EFFFFFCCEAFFFFC1E6FF" +
"FFB9E3FFFFAEDFFFFFA7DCFFFFA0D9FFFF99D6FFFF6175D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9B9CC7FFF5FBFFFFEFF8FFFFE3F4FFFFDAF1FFFFD2EDFFFFC6E8FFFFBDE5FF" +
"FFB4E1FFFFA9DDFFFFA3DAFFFF9CD7FFFF97D5FFFF6175D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9B9CC7FFF2F9FFFFEBF7FFFFDFF3FFFFD7EFFFFFCEEBFFFFC2E6FFFFB9E3FF" +
"FFB0E0FFFFA7DBFFFF9FD9FFFF9BD7FFFF97D5FFFF6175D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9B9CC7FFEFF8FFFFE7F6FFFFDCF1FFFFD2EDFFFFC9E9FFFFBDE4FFFFB6E2FF" +
"FFACDEFFFFA3DAFFFF9DD7FFFF99D6FFFF97D5FFFF6175D4FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF9798C5FFBCC6EDFFB6C3EDFFAEC0EDFFA7BEEDFFA1BAEDFF99B7EDFF93B5ED" +
"FF8EB2EDFF86B0EDFF83AFEDFF80ADEDFF80ADEDFF5E6FD1FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FF8080BCFF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7" +
"FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF9F9FDB00C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C0FFA0A0BEFF8080BCFF8080BCFF8080BCFF8080BCFF8080BCFF8080BCFF8080BC" +
"FF8080BCFF8080BCFF8080BCFF8080BCFF8080BCFF8080BC00B0B0CD00C0C0C000C0C0C000C0C0C0";
//</JSCodeSnippet>


// Icon Generic Stream Object
//<JSCodeSnippet name="ButtonIconDef">
var oIconNewDocument = null;
if(app.viewerVersion < 7){
oIconNewDocument = {count: 0, width: 31, height: 31,
read: function(nBytes){return icNewDocLg.slice(this.count, this.count += nBytes);}};
}else{
oIconNewDocument = {count: 0, width: 20, height: 20,
read: function(nBytes){return icNewDocSm.slice(this.count, this.count += nBytes);}};
}
//</JSCodeSnippet>

//<JSCodeSnippet name="EventCode">
var DoCmdNewDocument = 
"   if(\"ok\" == DoTheDialog(NewDocDlg))\n" +
"   {\n" +
"         if(app.viewerVersion < 7)\n" +
"            app.execMenuItem(\"New Document\");\n" +
"         else\n" +
"            NewDocProc();\n" +
"   }"
//</JSCodeSnippet>

//<JSCodeSnippet name="ButtonObjDef">
var oButNewDocument = 
{cName: "NewDocument",
cExec: DoCmdNewDocument,
cEnable: "event.rc = true",
cMarked: "event.rc = false",
cTooltext: "Create New Blank PDF Document",
nPos: 1,
cLabel: "New Document"};
//</JSCodeSnippet>
if(oIconNewDocument != null)
    oButNewDocument.oIcon = oIconNewDocument;

try{app.removeToolButton("NewDocument");}catch(e){}

//<JSCodeSnippet name="TryAddBut">
try
{
//</JSCodeSnippet>
//<JSCodeSnippet name="AddButtonfn">
    app.addToolButton(oButNewDocument);
//</JSCodeSnippet>
if((event.type == "Doc") && (app.viewerVersion >= 7))
    global["NewDocument_InDoc"] = "1:28:2005:13:12:41";
else
    global["NewDocument"] = "1:28:2005:13:12:41";
//<JSCodeSnippet name="CatchAddBut">
}catch(e)
{
   if((global.bReportNameCollision != null) && (global.bReportNameCollision == true))
   {
    var strError = 'Cannot Install AcroButton "oButNewDocument"\n';
    strError += ':' + e.fileName + '\n';
    strError += 'Error: ' + e.name + '\n';
    strError += e.message + '\n';
    strError += 'Possible Name conflict';
    app.alert(strError,0,0,'AcroButton Error');
   }
}
//</JSCodeSnippet>
 
//</AcroButtons>

///**************************************
/// Resize Pages JavaScript  Copyright (C) 2005 by Windjack Solutions, All rights reserved
//
//<AcroButtons name="Resize" version="2.0" "modified="1/27/2005 22:53:57" id="1:10:2005:21:23:2">
// This script was created by AcroButtons from Windjack Solutions, www.windjack.com
// Do not modify the code inbetween the AcroButtons Tags
// Moving or changing tag positions can compromise AcroButtons' ability to handle
// this file
// Place Extra-AcroButton Code in the following "Code Above" Section
//
var blnDlgDebug = false;


//<CodeAbove>
function DoResize(theDoc,fromPage,toPage,doEven,doOdd,h,w,tmb,lcr,boxes)
{
   var i, inc=0, blnEvenPage;
   var ibox, boxType, obox, ollx, olly, ourx, oury;
   var nbox = new Array(3);

   app.thermometer.duration = toPage - fromPage;
   app.thermometer.begin();
  
   for (i = fromPage; i <= toPage; i++) {
      if(app.thermometer.cancelled) break;
  
			app.thermometer.value =  ++inc;
			app.thermometer.text = "Page: " + inc.toString();

      blnEvenPage = (i % 2) != 0;   // note reversed test!
      if ( (blnEvenPage && doEven) || (! blnEvenPage && doOdd) ) {
         if (blnDlgDebug) {console.println('processing actual page ' + (i+1));}
         // Calculate the new coordinates based on the anchor position
         for (ibox = 0; ibox < boxes.length; ibox++) {
            boxType = boxes[ibox];
            if (blnDlgDebug) {console.println('  processing box ' + ibox + ', Type ' + boxType);}
            obox = theDoc.getPageBox({cBox: boxType, nPage: i});
            // normalize the page box (the PDF reference says we'd better do this)
            ollx = Math.min (obox[0], obox[2]);
            olly = Math.min (obox[1], obox[3]);
            ourx = Math.max (obox[0], obox[2]);
            oury = Math.max (obox[1], obox[3]);
            if (blnDlgDebug) {console.println('  obox= ' + ollx + ', ' + olly + ', ' + ourx + ', ' + oury);}
            switch (tmb) {
               case 'T':
                  nbox[1] = oury - h;
                  nbox[3] = oury;
                  break;
               case 'M':
                  nbox[1] = (olly + oury - h)/2;
                  nbox[3] = (olly + oury + h)/2;
                  break;
               case 'B':
                  nbox[1] = olly;
                  nbox[3] = olly + h;
                  break;
            }
            switch (lcr) {
               case 'L':
                  nbox[0] = ollx;
                  nbox[2] = ollx + w;
                  break;
               case 'C':
                  nbox[0] = (ollx + ourx - w)/2;
                  nbox[2] = (ollx + ourx + w)/2;
                  break;
               case 'R':
                  nbox[0] = ourx - w;
                  nbox[2] = ourx;
                  break;
            }
            if (blnDlgDebug) {console.println('  nbox= ' + nbox[0] + ', ' + nbox[1] + ', ' + nbox[2] + ', ' + nbox[3]);}
            // Now round the new coordinates.
            for (var j=0; j<3; j++) {
               nbox[j] = SymArithRound(nbox[j], 10000);
            }
            if (blnDlgDebug) {console.println('  rounded nbox= ' + nbox[0] + ', ' + nbox[1] + ', ' + nbox[2] + ', ' + nbox[3]);}
            // Now we actually resize the page!
            obox = theDoc.setPageBoxes({cBox: boxType, nStart: i, nEnd: i, rBox: nbox});
         } // end for each box type
      } // end if page should be processed
   } // end for each page
   app.thermometer.end();
}


/*
var sizeList =
	[
	{name:"Letter",w:612,h:792},
	{name:"Legal",w:612,h:1008},
	{name:"Executive",w:522,h:756},
	{name:"A0",w:2384,h:2835},
	{name:"A1",w:1684,h:2384},
	{name:"A2",w:1190,h:1684},
	{name:"A3",w:842,h:1190},
	{name:"A4",w:595,h:842},
	{name:"A5",w:420,h:595},
	{name:"A6",w:298,h:420},
	{name:"A7",w:209,h:298},
	{name:"B0",w:2384,h:4008},
	{name:"B1",w:2004,h:2835},
	{name:"B2",w:1417,h:2004},
	{name:"B3",w:1001,h:1417},
	{name:"B4",w:709,h:1001},
	{name:"B5",w:499,h:709},
	{name:"B6",w:354,h:499},
	{name:"B7",w:249,h:354},
	{name:"B8",w:176,h:249},
	{name:"B9",w:125,h:176},
	{name:"B10",w:88,h:125},
	{name:"C2",w:1837,h:1298},
	{name:"C3",w:578,h:919},
	{name:"C4",w:919,h:649},
	{name:"C5",w:649,h:459},
	{name:"C6",w:459,h:323}
	];
*/
var m_bLastMult = 1;
var m_numPages;
var m_pageNum;
var dlgValues = {w:0, h:0, units:1, anchor:"", range:"", fromPage:0, toPage:0, oddeven:"", boxes:""};
		
var strBlankButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconBlank = {count: 0, width: 20, height: 20,
read: function(nBytes){return strBlankButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strRightButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconRight = {count: 0, width: 20, height: 20,
read: function(nBytes){return strRightButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var strAnchorButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconAnchor = {count: 0, width: 20, height: 20,
read: function(nBytes){return strAnchorButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var strLeftButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconLeft = {count: 0, width: 20, height: 20,
read: function(nBytes){return strLeftButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strTopButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconTop = {count: 0, width: 20, height: 20,
read: function(nBytes){return strTopButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strBottomButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconBottom = {count: 0, width: 20, height: 20,
read: function(nBytes){return strBottomButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strSEButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF808080FF808080FF808080FF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconSE = {count: 0, width: 20, height: 20,
read: function(nBytes){return strSEButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strSWButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF808080FF808080FF808080" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconSW = {count: 0, width: 20, height: 20,
read: function(nBytes){return strSWButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strNEButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF808080FF808080FF808080FF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconNE = {count: 0, width: 20, height: 20,
read: function(nBytes){return strNEButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strNWButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF808080FF808080FF808080" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconNW = {count: 0, width: 20, height: 20,
read: function(nBytes){return strNWButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
//</CodeAbove>

//<JSCodeSnippet name="ImageData6">
var strData6Resize = 
"FF4141ADFF6767C1FF6666C1FF6666C1FF6666C1FF6666C1FF6666C1FF6666C1FF6666C1FF6666C1" +
"FF6666C1FF6266C1FF6266C1FF6266C1FF5A60BFFF26279FFF4749B3FFABACDE00C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF5F5FBEFFF9F9FEFFFEFEFFFFFEFEFFFFFEFEFF" +
"FFFEFEFFFFFEFEFFFFFEFEFFFFFEFEFFFFF9FCFFFFF7FCFFFFF1FCFFFFE9F7FFFFE6F9FFFFD1E5F9" +
"FF3033A8FF2E63C4FF2638ACFF5654BB00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFEFF" +
"FFF7FEFFFFF4F9FFFFE9F9FFFFE6F9FFFFD1E5F9FF3033A8FF316BC7FF2372CBFF2031A8FF5654BB" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFFFFF9FCFFFFF4F9FFFFECF8FFFFE5F5FFFFE1F7FFFFCBE2F9" +
"FF3033A8FF316BC7FF2372CBFF0D57BFFF192DA5FF5654BB00C0C0C000C0C0C000C0C0C000C0C0C0" +
"FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFEFFFFF7FCFF" +
"FFF1F8FFFFE9F7FFFFE2F4FFFFDEF4FFFFC7E1F9FF3033A8FF316BC7FF2372CBFF0D57BFFF084EB8" +
"FF192DA5FF5654BB00C0C0C000C0C0C000C0C0C0FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFFFFFFFFFFFCFEFFFFF8FEFFFFF7FCFFFFECF8FFFFE8F7FFFFE2F4FFFFDBF5FFFFC7E1F9" +
"FF2C31A5FF1651BBFF0D57BFFF0544B5FF0345B7FF0544B5FF192DA5FF534FB700C0C0C000C0C0C0" +
"FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFEFFFFF7FCFFFFACB4B0" +
"FF000000FF00000000B7C8D1FFD7F2FFFFC3E1FBFF363AACFF232FA5FF2333A9FF2131A8FF2131A8" +
"FF2031A8FF232AA3FF2828A2FF2828A200C0C0C0FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFFFFFFFFFFF7FEFF00BBBFBDFF000000FFDBC21FFFBC9209FF000000FFA8C3CFFFC3E6FF" +
"FF8296DFFF6D81D8FF6D81D8FF657FD8FF657FD8FF657FD8FF4960CAFF2A2FA8FF2A2FA800C0C0C0" +
"FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF00C2C4C0FF000000FFD8D439" +
"FFFFEE28FFFFCB0BFFC28200FF000000FFA8C3CFFFB8E1FFFF95B7F2FF86ABEFFF86ABEFFF7CA7EE" +
"FF7CA7EEFF5471D2FF2A2FA8FF2A2FA800C0C0C0FF5E5EBDFFFBFBFEFFFFFFFFFFF8F8F7FFFEFEFF" +
"FFF9F9F9FFACB4B0FF000000FFE1E148FFFFFC44FFFFE126FFFFC40BFFFFB401FFC77900FF000000" +
"FF9CBDCEFFA9D8F8FFA3D1F1FF9ACFF8FF97D2FEFF94D2FFFF597BD8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFFFEFEFFFFF8F8F7FFFFFFFFFFDFE1E1FFFFFFFFFF858C88FF000000FF000000FF000000" +
"FFFFE928FFFFC70BFF000000FF000000FF000000FF8DD2FFFF8DD2FFFFA9D8F8FFA9D8F8FFA9D8F8" +
"FF94DBFFFF597BD8FF292DA7FF292DA700C0C0C0FF5E5EBDFFFEFEFFFFF8F8F7FFFFFFFFFF000000" +
"FF000000FFFFFFFFFF858C88FF858C88FF000000FFFFF22AFFFFCB0BFF000000FF81D1FFFFA9D8F8" +
"FFA9D8F8FF000000FF000000FFA9D8F8FFA9D8F8FF94DBFFFF597BD8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFFFBFBFEFFFEFEFFFF000000FF7A4C00FF000000FFFFFFFFFFDEE9F2FFACB4B0FF000000" +
"FFFFF22AFFFFCB0BFF000000FF81D1FFFFA3D1F1FF9BC4DCFF000000FF848429FF000000FF8CCDF8" +
"FF8DD2FFFF597BD8FF292DA7FF292DA700C0C0C0FF5E5EBDFFFBFBFEFF000000FF7A4C00FFF7A000" +
"FF000000FF000000FF000000FF000000FF000000FFFFF42DFFFECA0DFF000000FF000000FF000000" +
"FF000000FF000000FFFBFB50FF787928FF000000FF88CEFCFF567AD8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFF000000FF715102FFF8B104FFFFBC04FFE3A705FFCD9403FFCD9403FFC78D02FFCE9F0C" +
"FFFFD81EFFFFCB12FFF7E12EFFD7CB2CFFCFC429FFD7CB2CFFEEDF36FFFFFC44FFF9EF39FF79721B" +
"FF000000FF547AD8FF292DA7FF292DA700C0C0C0FF5E5EBDFF000000FFECC718FFFFDC18FFFFD518" +
"FFFFD518FFFFDE1AFFFFDC18FFFFD814FFFFD414FFFFD71BFFFFCB12FFFFD414FFFFDE1AFFFFDE1A" +
"FFFFE11DFFFFDB1CFFFFD71BFFFFE11DFFECC718FF000000FF5479D8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFF000000FF958A1DFFFFF236FFFFF236FFFBE934FFEFDF2FFFEEDC2CFFEEDF36FFF7E12E" +
"FFFFCB12FFFFD81EFFE3A705FFE3A705FFF1B006FFF1B006FFF9B707FFFFBF06FFFFBF06FF906B04" +
"FF000000FF5479D8FF292DA7FF292DA700C0C0C0FF5E5EBDFFE6E8EBFF000000FF94922DFFFBFB50" +
"FF000000FF000000FF000000FF000000FF000000FFFFCD0DFFFFF42BFF000000FF000000FF000000" +
"FF000000FF000000FFFFA900FF945D00FF000000FF7EC4F7FF5378D8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFFF9FCFFFFF5F9F8FF000000FF9B9B31FF000000FFD4EEFFFFD4EEFFFFD4EEFFFF000000" +
"FFFFCB0BFFFFF22AFF000000FFA9D8F8FFA9D8F8FFA9D8F8FF000000FF945D00FF000000FF81D1FF" +
"FF82CFFFFF5276D8FF282CA7FF282CA700C0C0C0FF5E5EBDFFF9FCFFFFF4F9F9FFFFFFFFFF000000" +
"FF000000FFD4EEFFFFD4EEFFFFD4EEFFFF000000FFFFCB0BFFFFF22AFF000000FFA9D8F8FFA9D8F8" +
"FFA9D8F8FF000000FF000000FF81D1FFFF81D1FFFF81D1FFFF5276D8FF282CA7FF282CA700C0C0C0" +
"FF5E5EBDFFF7FCFFFFF7FCFFFFFFFFFFFFD4EEFFFFD4EEFFFFD4EEFFFF000000FF000000FF000000" +
"FFFFC70BFFFFE928FF000000FF000000FF000000FF8DD2FFFF8DD2FFFF81D1FFFF81D1FFFF81D1FF" +
"FF7BCBFFFF4F76D9FF282CA7FF282CA700C0C0C0FF5E5EBDFFF4F9FFFFF4FCFFFFF2FEFFFFEBFBFF" +
"FFE5F9FFFFD4EEFFFF000000FFC77900FFFFB401FFFFC40BFFFFE126FFFFFC44FFE1E148FF000000" +
"FF81D1FFFF8DD2FFFF87CFFFFF82CFFFFF7CC8FFFF79C7FFFF4E74D8FF282CA7FF282CA700C0C0C0" +
"FF5D5EBDFFF1F8FFFFF1FCFFFFE9F9FFFFE2F4FFFFDBF2FFFFD4EEFFFFA8C3CFFF000000FFC28200" +
"FFFFCB0BFFFFEE28FFD8D439FF000000FF79A2B9FF8CCFFFFF8ACEFFFF82CAFFFF7ECAFFFF7AC7FF" +
"FF76C7FFFF4E74D8FF282CA7FF282CA700C0C0C0FF5D5EBDFFEFF5FEFFF1F8FFFFE5F5FFFFDEF4FF" +
"FFD7F1FFFFCEECFFFFC3E9FFFF9CBDCEFF000000FFBC9209FFDBC21FFF000000FF79A2B9FF91D1FF" +
"FF8ACEFFFF85CBFFFF82CAFFFF7CC8FFFF79C7FFFF76C7FFFF4E74D8FF282CA7FF282CA700C0C0C0" +
"FF5A5DBDFFEEF5FEFFECF8FFFFE5F5FFFFDBF2FFFFD4EFFFFFCBEBFFFFC3E6FFFFB8E3FFFF95BBD1" +
"FF000000FF000000FF79A2B9FF96D4FFFF8DD1FFFF86CEFFFF82CAFFFF7FC8FFFF7AC7FFFF79C6FF" +
"FF76C7FFFF4E74D8FF282CA7FF282CA700C0C0C0FF5A5DBDFFE9F7FFFFE9F7FFFFE1F7FFFFD7F2FF" +
"FFCEECFFFFC7E9FFFFBCE6FFFFB8E3FFFFAFDFFFFFA8DCFFFFA0D9FFFF9AD5FFFF94D2FFFF8CCFFF" +
"FF86CEFFFF82CAFFFF7CC8FFFF79C6FFFF75C3FFFF75C6FFFF4E74D8FF282CA7FF282CA700C0C0C0" +
"FF5B5DBDFFE3F4FEFFE5F5FFFFDEF4FFFFD4EFFFFFCBECFFFFC3E9FFFFB8E3FFFFB3E1FFFFAFDFFF" +
"FFA4DBFFFF9CD8FFFF97D2FEFF91D1FFFF8ACEFFFF85CBFFFF7FC8FFFF7AC7FFFF79C6FFFF75C3FF" +
"FF75C6FFFF4E74D8FF282CA7FF282CA700C0C0C0FF5B5DBDFFE3F4FEFFE1F7FFFFDBF2FFFFD4EFFF" +
"FFCBECFFFFC3E6FFFFB5E5FFFFAFDFFFFFA8DCFFFFA0D9FFFF99D7FFFF94D2FFFF8DD1FFFF86CEFF" +
"FF80CBFFFF7FC8FFFF7AC4FFFF75C3FFFF75C6FFFF75C6FFFF4E74D8FF282CA7FF282CA700C0C0C0" +
"FF5A5DBDFFE2F4FFFFE1F7FFFFD7F2FFFFCFF1FFFFC8ECFFFFBCE6FFFFB5E5FFFFAFDFFFFFA7DEFF" +
"FFA0DBFFFF97D8FFFF91D5FFFF8CD2FFFF86CEFFFF80CBFFFF7CC8FFFF79C7FFFF75C6FFFF75C6FF" +
"FF76C7FFFF4F76D9FF282CA7FF282CA700C0C0C0FF4F52B9FF909CDFFF909CDFFF8A9BDFFF8296DF" +
"FF8296DFFF7A94DFFF7A94DFFF708FDFFF708FDFFF708FDFFF658BDFFF658BDFFF5F87DFFF5F87DF" +
"FF5986DFFF5986DFFF5582DFFF5582DFFF5582DFFF5684DFFF4960CAFF282CA7FF282CA700C0C0C0" +
"FF2D2DA4FF3537ACFF3336ABFF3336ABFF3336ABFF3336ABFF3336ABFF3134ABFF3035ABFF2E34AB" +
"FF2E34ABFF2E34ABFF2D33ABFF2D33ABFF2B33ABFF2B33ABFF2B33ABFF2B33ABFF2B33ABFF2B33AB" +
"FF2B33ABFF2A2FA8FF2324A0FF2324A000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0";
//</JSCodeSnippet>

//<JSCodeSnippet name="ImageData7">
var strData7Resize = 
"FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7" +
"FFABABE200C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FFB1B1E5FFB1B1E5FFB1B1E5FFB1B1E5" +
"FFB1B1E5FFB1B1E5FFB1B1E5FFB1B1E5FFB1B1E5FF4040B7FFABABE200C0C0C000C0C0C000C0C0C0" +
"FF4040B7FFB1B1E5FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFFFF402E00FFF5FCFFFFF1F9FF" +
"FF5FA4E1FF3F90D9FF4040B7FFABABE200C0C0C0FF4040B7FFB1B1E5FFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFF402E00FFFFE945FF402E00FFEFF8FFFF5FA4E1FF3F90D9FF1E78CFFF4040B7FFABABE2" +
"FF4040B7FFB1B1E5FFFFFFFFFFFFFFFFFFFFFFFFFF402E00FFFFE945FFFFE945FFFFE945FF402E00" +
"FF318AD7FF207CD2FF0F6DCDFF0F6DCDFF4040B7FF4040B7FFB1B1E5FFFFFFFFFFFFFFFFFF402E00" +
"FFFFE945FFFFCB12FFFFE946FFFFFF76FFFFE945FF402E00FF4040B7FF4040B7FF4040B7FF4040B7" +
"FF4040B7FFB1B1E5FFFFFFFFFF464F54FFFFFFFFFF402E00FF544306FFFFE945FF545427FF40401D" +
"FF90A4E5FF737373FF90A4E5FF90A4E5FF687AD4FF4040B7FFB1B1E5FFFFFFFFFF402E00FF959595" +
"FF959595FF403304FFFFE945FF40401DFFDFF4FFFFB8C4CDFF616365FFC6E8FFFFBFE6FFFF687AD4" +
"FF4040B7FFB1B1E5FF402E00FFFFE945FF40401DFFB8C4CDFF403304FFFFE945FF40401DFFDCF2FF" +
"FF40401DFFFFE945FF3B3B3BFFBDE5FFFF687AD4FF4040B7FF402E00FFFFE945FFFFE945FF545427" +
"FF40401DFF40401DFFFFE945FF40401DFF40401DFF545427FFFFFF76FFFFE945FF402E00FF687AD4" +
"FF402E00FFFFE945FFFFE945FFFFE946FFFFE945FFFFE945FFFFE945FFFFE945FFFFE945FFFFE945" +
"FFFFE945FFFFE946FFFFE945FFFFE945FF402E00FF4040B7FF402E00FFFFE945FFFFCB12FF544306" +
"FF403304FF403304FFFFE945FF40401DFF403304FF544306FFFFCB12FFFFE945FF402E00FF687AD4" +
"FF4040B7FFB1B1E5FF402E00FFFFE945FF402E00FFE5F5FFFF403304FFFFE945FF40401DFFCDECFF" +
"FFC0E6FFFFFFE945FF402E00FFADDFFFFF687AD4FF4040B7FFB1B1E5FFF8FCFFFF402E00FF959595" +
"FFE2F4FFFF544306FFFFE945FF545427FF40401DFFBCE5FFFF402E00FFB1DFFFFFABDEFFFF687AD4" +
"FF4040B7FFB1B1E5FFF7FBFFFFF2F9FFFF402E00FFFFE945FFFFCB12FFFFE946FFFFFF76FFFFE945" +
"FF402E00FFB3E2FFFFADDEFFFFA8DCFFFF687AD4FF4040B7FFB1B1E5FFF4FBFFFFEFF9FFFFE8F7FF" +
"FF402E00FFFFE945FFFFE945FFFFE945FF402E00FFB7E2FFFFB1DFFFFFACDEFFFFA5DBFFFF687AD4" +
"FF4040B7FFB1B1E5FFF2F9FFFFEBF8FFFFE6F5FFFFD9F1FFFF402E00FFFFE945FF402E00FFBFE5FF" +
"FFB4E1FFFFAFDEFFFFA9DCFFFFA4DBFFFF687AD4FF4040B7FFB1B1E5FFEBF8FFFFE5F5FFFFE1F4FF" +
"FFD4EEFFFFCDEBFFFF402E00FFC0E6FFFFB9E3FFFFAFDFFFFFA8DCFFFFA3DBFFFF9FD8FFFF687AD4" +
"FF4040B7FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4" +
"FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7" +
"FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7";
//</JSCodeSnippet>


// Icon Generic Stream Object
//<JSCodeSnippet name="ButtonIconDef">
var oIconResize = null;
if(app.viewerVersion < 7){
oIconResize = {count: 0, width: 25, height: 32,
read: function(nBytes){return strData6Resize.slice(this.count, this.count += nBytes);}};
}else{
oIconResize = {count: 0, width: 15, height: 20,
read: function(nBytes){return strData7Resize.slice(this.count, this.count += nBytes);}};
}
//</JSCodeSnippet>

//<JSCodeSnippet name="EventCode">
var DoCmdResize = 
"// debug flag for the button code.\n" +
"var blnDebug = false;\n" +
"\n" +
"// debug flag for the dialog box.  Note sure why this needs to be both\n" +
"// here and in the \"code above\" for the button.\n" +
"var blnDlgDebug = false;\n" +
"\n" +
"// ------------ beginning of dialog box code -------------\n" +
"  var ResizePageDlg =\n" +
"  {\n" +
"    nActiveAnchor: 4,\n" +
"    DoDialog: function()\n" +
"    {\n" +
"      if(app.viewerVersion >= 7) app.beginPriv();\n" +
"      return app.execDialog(this);\n" +
"      if(app.viewerVersion >= 7) app.endPriv();\n" +
"    },\n" +
"    initialize: function(dialog)\n" +
"    {\n" +
"      this.result = \"Cancel\";\n" +
"      dialog.load(\n" +
"        {\n" +
"          \"ckMe\": true,\n" +
"          \"ckCr\": true,\n" +
"          \"pEvn\": \n" +
"          {\n" +
"            \"All Pages\": 1,\n" +
"            \"Odd Pages Only\": -2,\n" +
"            \"Even Pages Only\": -3,\n" +
"          },\n" +
"          \"rAll\": true,\n" +
"          \"Rad1\": true,\n" +
"        }\n" +
"      );\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconNW.getIcon(),  \"A_TC\":oIconTop.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconNE.getIcon() });\n" +
"      dialog.load({ \"A_ML\":oIconLeft.getIcon(),\"A_MC\":oIconAnchor.getIcon(),\"A_MR\":oIconRight.getIcon() });\n" +
"      dialog.load({ \"A_BL\":oIconSW.getIcon(), \"A_BC\":oIconBottom.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconSE.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"\n" +
"      dialog.enable(\n" +
"        {\n" +
"          \"tTPg\": false,\n" +
"          \"tFPg\": false,\n" +
"          \"hght\": false,\n" +
"          \"wdth\": false,\n" +
"        }\n" +
"      );\n" +
"// This array holds the document names and sizes for the \'psiz\' control.\n" +
"// The initial value is set below.\n" +
"var oPsizInit =  {\n" +
"	\"Custom\": -1,\n" +
"	\"Letter\": -1,\n" +
"	\"Legal\": -2,\n" +
"	\"Executive\": -3,\n" +
"	\"A0\": -2,\n" +
"	\"A1\": -3,\n" +
"	\"A2\": -4,\n" +
"	\"A3\": -5,\n" +
"	\"A4\": -6,\n" +
"	\"A5\": -7,\n" +
"	\"A6\": -8,\n" +
"	\"A7\": -9,\n" +
"	\"B0\": -9,\n" +
"	\"B1\": -9,\n" +
"	\"B2\": -9,\n" +
"	\"B3\": -9,\n" +
"	\"B4\": -9,\n" +
"	\"B5\": -9,\n" +
"	\"B6\": -9,\n" +
"	\"B7\": -9,\n" +
"	\"B8\": -1,\n" +
"	\"B9\": -1,\n" +
"	\"B10\": -1,\n" +
"	\"C2\": -1,\n" +
"	\"C3\": -1,\n" +
"	\"C4\": -1,\n" +
"	\"C5\": -1,\n" +
"	\"C6\": -1,\n" +
"	};\n" +
"\n" +
"// Get page # and # of pages for use later.\n" +
"m_numPages = app.doc.numPages;\n" +
"//--------test setup--------//\n" +
"m_pageNum = app.doc.pageNum;   // use in real environment\n" +
"//m_pageNum = 2;   // use for testing in dialog editor\n" +
"\n" +
"// Set up the size fields.  Use the width and height of the current page\'s crop box\n" +
"// as the intial values.  See if these match any of the choices in the \'psiz\' list,\n" +
"// and if they do, select that choice as the initial choice.  Otherwise select \"custom\".\n" +
"// First, get the current page size.  There\'s no guaranee that the coords are ll, ur.\n" +
"//--------test setup--------//\n" +
"var obox = app.doc.getPageBox({cBox: \'Crop\', nPage: m_pageNum});   // use in real environment\n" +
"//var obox = new Array(524, 756, 0 ,0);   // use for testing in dialog editor\n" +
"var curw = obox[2] - obox[0];\n" +
"if (curw < 0) { curw = - curw; }\n" +
"var curh = obox[3] - obox[1];\n" +
"if (curh < 0) { curh = - curh; }\n" +
"if (blnDlgDebug) {console.println(\'current page crop w,h = \' + curw + \', \' + curh);}\n" +
"dialog.load({\'wdth\': curw});\n" +
"dialog.load({\'hght\': curh});\n" +
"// now see if it\'s in the psiz list\n" +
"var bFound = false;\n" +
"for(var entry in sizeList) {\n" +
"   if ( (sizeList[entry][\'w\'] == curw) && (sizeList[entry][\'h\'] == curh) ) {\n" +
"      if (blnDlgDebug) {console.println(\'have sizeList match on \' + sizeList[entry][\'name\']);}\n" +
"      oPsizInit[sizeList[entry][\'name\']] = 1;\n" +
"      bFound = true;\n" +
"      break;\n" +
"   }\n" +
"}\n" +
"if ( ! bFound ) {\n" +
"   if (blnDlgDebug) {console.println(\'no size match, setting size to Custom.\');}\n" +
"   oPsizInit[\'Custom\'] = 1;\n" +
"   m_bLastMult = 1;\n" +
"   dialog.enable({\'wdth\': true, \'hght\': true});\n" +
"}\n" +
"\n" +
"// Initialize the drop-down list.\n" +
"dialog.load({\'psiz\': oPsizInit});\n" +
"// Finally, refresh the values.\n" +
"//this[\"psiz\"](dialog); \n" +
"// Set up default \'from\' and \'to\' page numbers, and the \'of n\' text label.\n" +
"// Default \'from\' page is current page.\n" +
"// Default \'to\' page is the last page in the document.\n" +
"dialog.load({\"sOfN\": \'of \' + m_numPages.toString()});\n" +
"dialog.load({\"tFPg\": (m_pageNum+1).toString()});   // account for 0-based numbering\n" +
"dialog.load({\"tTPg\": m_numPages.toString()});\n" +
"\n" +
"\n" +
"    },\n" +
"    validate: function(dialog)\n" +
"    {\n" +
"var rslt = dialog.store();\n" +
"var strErr = \"\";\n" +
"// decode the psiz value.\n" +
"var psiz;\n" +
"for(var entry in rslt[\"psiz\"]) {\n" +
"   if (rslt[\"psiz\"][entry]> 0) {\n" +
"      psiz = entry;\n" +
"      break;\n" +
"   }\n" +
"}\n" +
"if (\"Custom\" == psiz) {\n" +
"   // validate the height and width.\n" +
"   var hght = rslt[\"hght\"];\n" +
"   if (hght.match(/[^0-9\\.]/) != null) {\n" +
"      strErr += \"The page height is not numeric.\\n\";\n" +
"   } else {\n" +
"      if (hght <= 0) {\n" +
"         strErr += \"The page height must be greater than zero.\\n\";\n" +
"      }\n" +
"   }\n" +
"   var wdth = rslt[\"wdth\"];\n" +
"   if (wdth.match(/[^0-9\\.]/) != null) {\n" +
"      strErr += \"The page width is not numeric.\\n\";\n" +
"   } else {\n" +
"      if (wdth <= 0) {\n" +
"         strErr += \"The page width must be greater than zero.\\n\";\n" +
"      }\n" +
"   }\n" +
"}\n" +
"if (rslt[\"rFro\"] > 0) {\n" +
"   // validate the starting and ending page numbers.\n" +
"   var tFPg = rslt[\"tFPg\"];\n" +
"   if (tFPg.match(/\\D/) != null) {\n" +
"      strErr += \"The \'from\' page number is not numeric.\\n\";\n" +
"   } else {\n" +
"      if ( ( tFPg > m_numPages) || (tFPg <= 0) ) {\n" +
"         strErr += \"The \'from\' page number is out of range.\\n\";\n" +
"      }\n" +
"   }\n" +
"   var tTPg = rslt[\"tTPg\"];\n" +
"   if (tTPg.match(/\\D/) != null) {\n" +
"      strErr += \"The \'to\' page number is not numeric.\\n\";\n" +
"   } else {\n" +
"      if ( (tTPg > m_numPages) || (tTPg <= 0) ) {\n" +
"         strErr += \"The \'to\' page number is out of range.\\n\";\n" +
"      }\n" +
"   }\n" +
"   if (tFPg > tTPg) {\n" +
"      strErr += \"The \'from\' page number is larger than the \'to\' page number.\\n\";\n" +
"   }\n" +
"}\n" +
"// make sure at least one \"apply to\" box is checked.\n" +
"if ( ! ( rslt[\"ckAr\"] || rslt[\"ckBl\"] || rslt[\"ckCr\"] || rslt[\"ckMe\"] || rslt[\"ckTr\"] ) ) {\n" +
"   strErr += \"At least one \'apply to\' box must be selected.\\n\";\n" +
"}\n" +
"if (strErr != \"\") {\n" +
"   app.alert(strErr);\n" +
"   return(false);\n" +
"}\n" +
"return(true);\n" +
"    },\n" +
"    commit: function(dialog)\n" +
"    {\n" +
"try{\n" +
"var rslt = dialog.store();\n" +
"dlgValues.h = rslt[\"hght\"];\n" +
"dlgValues.w = rslt[\"wdth\"];\n" +
"dlgValues.units = m_bLastMult;\n" +
"}catch(e){console.println(e);}\n" +
"var an;\n" +
"switch(this.nActiveAnchor)\n" +
"{\n" +
"   case 0:\n" +
"       an = \"TL\";\n" +
"      break;\n" +
"   case 1:\n" +
"       an = \"TC\";\n" +
"      break;\n" +
"   case 2:\n" +
"       an = \"TR\";\n" +
"      break;\n" +
"   case 3:\n" +
"       an = \"ML\";\n" +
"      break;\n" +
"   case 4:\n" +
"       an = \"MC\";\n" +
"      break;\n" +
"   case 5:\n" +
"       an = \"MR\";\n" +
"      break;\n" +
"   case 6:\n" +
"       an = \"BL\";\n" +
"      break;\n" +
"   case 7:\n" +
"       an = \"BC\";\n" +
"      break;\n" +
"   case 8:\n" +
"       an = \"BR\";\n" +
"      break;\n" +
"}\n" +
"\n" +
"dlgValues.anchor = an;\n" +
"var ra;\n" +
"if (rslt[\"rAll\"]) {ra = \"all\"};\n" +
"if (rslt[\"rCur\"]) {ra = \"current\"};\n" +
"if (rslt[\"rFro\"]) {\n" +
"   ra = \"range\";\n" +
"   dlgValues.fromPage = rslt[\"tFPg\"];\n" +
"   dlgValues.toPage = rslt[\"tTPg\"];\n" +
"};\n" +
"dlgValues.range = ra;\n" +
"var arBx = new Array();\n" +
"if (rslt[\"ckAr\"]) {arBx.push(\"Art\")};\n" +
"if (rslt[\"ckBl\"]) {arBx.push(\"Bleed\")};\n" +
"if (rslt[\"ckCr\"]) {arBx.push(\"Crop\")};\n" +
"if (rslt[\"ckMe\"]) {arBx.push(\"Media\")};\n" +
"if (rslt[\"ckTr\"]) {arBx.push(\"Trim\")};\n" +
"dlgValues.boxes =arBx;\n" +
"//console.println(\"type of evenodd is \" + typeof(rslt[\"pEvn\"]));\n" +
"for (var i in rslt[\"pEvn\"]) {\n" +
"   //console.println(\"i=\" + i + \", val=\" + rslt[\"pEvn\"][i]);\n" +
"   if (rslt[\"pEvn\"][i] > 0) {\n" +
"      dlgValues.oddeven = i;\n" +
"      break;\n" +
"   }\n" +
"}\n" +
"\n" +
"if (blnDlgDebug) {\n" +
"   console.println(\"\\nThe envelope, please...\");\n" +
"   for (fld in dlgValues) {\n" +
"      console.println(fld + \": \" + dlgValues[fld]);\n" +
"   }\n" +
"}\n" +
"    },\n" +
"    \"A_TL\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 0;\n" +
"          if(app.viewerVersion < 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconAnchor.getIcon(),  \"A_TC\":oIconRight.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconBottom.getIcon(),\"A_MC\":oIconSE.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"\n" +
"     },\n" +
"    \"A_TC\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 1;\n" +
"          if(app.viewerVersion < 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconLeft.getIcon(),  \"A_TC\":oIconAnchor.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconRight.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconSW.getIcon(),\"A_MC\":oIconBottom.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconSE.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_TR\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 2;\n" +
"          if(app.viewerVersion < 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon(),  \"A_TC\":oIconLeft.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconAnchor.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_MC\":oIconSW.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconBottom.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_ML\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 3;\n" +
"          if(app.viewerVersion < 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconTop.getIcon(),  \"A_TC\":oIconNE.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconAnchor.getIcon(),\"A_MC\":oIconRight.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBottom.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconSE.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"\n" +
"     },\n" +
"    \"A_MC\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 4;\n" +
"          if(app.viewerVersion < 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconNW.getIcon(),  \"A_TC\":oIconTop.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconNE.getIcon() });\n" +
"      dialog.load({ \"A_ML\":oIconLeft.getIcon(),\"A_MC\":oIconAnchor.getIcon(),\"A_MR\":oIconRight.getIcon() });\n" +
"      dialog.load({ \"A_BL\":oIconSW.getIcon(), \"A_BC\":oIconBottom.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconSE.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_MR\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 5;\n" +
"          if(app.viewerVersion < 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_TC\":oIconNW.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconTop.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_MC\":oIconLeft.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconAnchor.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconSW.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBottom.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_BL\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 6;\n" +
"          if(app.viewerVersion < 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_TC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconTop.getIcon(),\"A_MC\":oIconNE.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconAnchor.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconRight.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"\n" +
"     },\n" +
"   \"A_BC\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 7;\n" +
"          if(app.viewerVersion < 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_TC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconNW.getIcon(),\"A_MC\":oIconTop.getIcon(),\"A_MR\":oIconNE.getIcon() });\n" +
"      dialog.load({ \"A_BL\":oIconLeft.getIcon(), \"A_BC\":oIconAnchor.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconRight.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_BR\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 8;\n" +
"          if(app.viewerVersion < 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_TC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_MC\":oIconNW.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconTop.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconLeft.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconAnchor.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"tFPg\": function(dialog)\n" +
"    {\n" +
"\n" +
"\n" +
"    },\n" +
"    \"rFro\": function(dialog)\n" +
"    {\n" +
"dialog.enable({\"tFPg\":true ,\"tTPg\":true});\n" +
"    },\n" +
"    \"rCur\": function(dialog)\n" +
"    {\n" +
"dialog.enable({\"tFPg\":false ,\"tTPg\":false});\n" +
"    },\n" +
"    \"rAll\": function(dialog)\n" +
"    {\n" +
"dialog.enable({\"tFPg\":false ,\"tTPg\":false});\n" +
"    },\n" +
"    \"Rad3\": function(dialog)\n" +
"    {\n" +
"this[\"psiz\"](dialog);\n" +
"    },\n" +
"    \"Rad2\": function(dialog)\n" +
"    {\n" +
"this[\"psiz\"](dialog);\n" +
"    },\n" +
"    \"Rad1\": function(dialog)\n" +
"    {\n" +
"this[\"psiz\"](dialog);\n" +
"    },\n" +
"    \"psiz\": function(dialog)\n" +
"    {\n" +
"\n" +
"			var rslts = dialog.store();\n" +
"			var sel =\"\";\n" +
"			for(var entry in rslts[\"psiz\"])\n" +
"			{\n" +
"					if(rslts[\"psiz\"][entry]> 0)\n" +
"				 {\n" +
"							 sel = entry;\n" +
"								break;\n" +
"				 }\n" +
"			}\n" +
"			 var mult = 1;\n" +
"			 if(rslts[\"Rad2\"])\n" +
"					 mult = 72;\n" +
"			 else if(rslts[\"Rad3\"])\n" +
"					 mult = 2.835;\n" +
"			 var bCustom = (sel ==\"Custom\");\n" +
"			 dialog.enable({\"hght\": bCustom,\"wdth\":bCustom});\n" +
"			 var nH = 0, nW = 0;\n" +
"			 if(bCustom)\n" +
"			 {\n" +
"							nH = (rslts[\"hght\"] * m_bLastMult )/mult;\n" +
"							nW = (rslts[\"wdth\"] * m_bLastMult)/mult;\n" +
"			 }\n" +
"			 else\n" +
"			 {\n" +
"					var nLen = sizeList.length;\n" +
"					for(var i=0;i<nLen;i++)\n" +
"					{\n" +
"							 if(sizeList[i].name == sel)\n" +
"							{\n" +
"									nH = sizeList[i].h/mult;\n" +
"									nW = sizeList[i].w/mult;\n" +
"									break;\n" +
"							}\n" +
"					}\n" +
"			 }\n" +
"			 dialog.load({\"hght\": nH,\"wdth\":nW});\n" +
"			 m_bLastMult = mult;\n" +
"\n" +
"    },\n" +
"    description:\n" +
"    {\n" +
"      first_tab: \"psiz\",\n" +
"      name: \"Resize pages\",\n" +
"      target_id: \"psiz\",\n" +
"      elements:\n" +
"      [\n" +
"        {\n" +
"          alignment: \"align_left\",\n" +
"          type: \"view\",\n" +
"          elements:\n" +
"          [\n" +
"            {\n" +
"              align_children: \"align_top\",\n" +
"              type: \"view\",\n" +
"              elements:\n" +
"              [\n" +
"                {\n" +
"                  align_children: \"align_top\",\n" +
"                  item_id: \"cSiz\",\n" +
"                  name: \"New size\",\n" +
"                  type: \"cluster\",\n" +
"                  elements:\n" +
"                  [\n" +
"                    {\n" +
"                      align_children: \"align_top\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          item_id: \"V2\",\n" +
"                          type: \"view\",\n" +
"                          elements:\n" +
"                          [\n" +
"                            {\n" +
"                              alignment: \"align_left\",\n" +
"                              height: 23,\n" +
"                              item_id: \"psiz\",\n" +
"                              next_tab: \"hght\",\n" +
"                              type: \"popup\",\n" +
"                              width: 53,\n" +
"                            },\n" +
"                            {\n" +
"                              align_children: \"align_row\",\n" +
"                              item_id: \"V4\",\n" +
"                              type: \"view\",\n" +
"                              elements:\n" +
"                              [\n" +
"                                {\n" +
"                                  height: 24,\n" +
"                                  item_id: \"sta1\",\n" +
"                                  name: \"Width:\",\n" +
"                                  type: \"static_text\",\n" +
"                                  width: 42,\n" +
"                                },\n" +
"                                {\n" +
"                                  char_width: 8,\n" +
"                                  height: 24,\n" +
"                                  item_id: \"wdth\",\n" +
"                                  next_tab: \"Rad1\",\n" +
"                                  type: \"edit_text\",\n" +
"                                  width: 88,\n" +
"                                },\n" +
"                              ]\n" +
"                            },\n" +
"                            {\n" +
"                              align_children: \"align_row\",\n" +
"                              item_id: \"V3\",\n" +
"                              type: \"view\",\n" +
"                              elements:\n" +
"                              [\n" +
"                                {\n" +
"                                  height: 24,\n" +
"                                  item_id: \"sta1\",\n" +
"                                  name: \"Height:\",\n" +
"                                  type: \"static_text\",\n" +
"                                  width: 42,\n" +
"                                },\n" +
"                                {\n" +
"                                  alignment: \"align_left\",\n" +
"                                  char_width: 8,\n" +
"                                  height: 24,\n" +
"                                  item_id: \"hght\",\n" +
"                                  next_tab: \"wdth\",\n" +
"                                  type: \"edit_text\",\n" +
"                                  width: 88,\n" +
"                                },\n" +
"                              ]\n" +
"                            },\n" +
"                          ]\n" +
"                        },\n" +
"                        {\n" +
"                          align_children: \"align_left\",\n" +
" //                         height: 113,\n" +
"                          item_id: \"cUni\",\n" +
"                          name: \"Units\",\n" +
"                          type: \"cluster\",\n" +
"                          elements:\n" +
"                          [\n" +
"                            {\n" +
"                              group_id: \"Unit\",\n" +
"                              item_id: \"Rad1\",\n" +
"                              name: \"points\",\n" +
"                              next_tab: \"Rad2\",\n" +
"                              type: \"radio\",\n" +
"                            },\n" +
"                            {\n" +
"                              group_id: \"Unit\",\n" +
"                              item_id: \"Rad2\",\n" +
"                              name: \"inches\",\n" +
"                              next_tab: \"Rad3\",\n" +
"                              type: \"radio\",\n" +
"                            },\n" +
"                            {\n" +
"                              group_id: \"Unit\",\n" +
" //                             height: 23,\n" +
"                              item_id: \"Rad3\",\n" +
"                              name: \"millimeters\",\n" +
"                              type: \"radio\",\n" +
" //                             width: 88,\n" +
"                            },\n" +
"                          ]\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                  ]\n" +
"                },\n" +
"                {\n" +
"                  align_children: \"align_center\",\n" +
"                  item_id: \"cAnc\",\n" +
"                  name: \"Anchor\",\n" +
"                  type: \"cluster\",\n" +
"                  elements:\n" +
"                  [\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      alignment: \"align_center\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"image\",\n" +
"                          item_id: \"A_TL\",\n" +
"                          next_tab: \"A_TC\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"image\",\n" +
"                          item_id: \"A_TC\",\n" +
"                          next_tab: \"A_TR\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"image\",\n" +
"                          item_id: \"A_TR\",\n" +
"                          next_tab: \"A_ML\",\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"image\",\n" +
"                          item_id: \"A_ML\",\n" +
"                          next_tab: \"A_MC\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"image\",\n" +
"                          item_id: \"A_MC\",\n" +
"                          next_tab: \"A_MR\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"image\",\n" +
"                          item_id: \"A_MR\",\n" +
"                          next_tab: \"A_BL\",\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"image\",\n" +
"                          item_id: \"A_BL\",\n" +
"                          next_tab: \"A_BC\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"image\",\n" +
"                          item_id: \"A_BC\",\n" +
"                          next_tab: \"A_BR\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"image\",\n" +
"                          item_id: \"A_BR\",\n" +
"                          next_tab: \"rAll\",\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                  ]\n" +
"                },\n" +
"              ]\n" +
"            },\n" +
"            {\n" +
"              align_children: \"align_top\",\n" +
"              type: \"view\",\n" +
"              elements:\n" +
"              [\n" +
"                {\n" +
"                  item_id: \"cls3\",\n" +
"                  name: \"Page range\",\n" +
"                  type: \"cluster\",\n" +
"                  elements:\n" +
"                  [\n" +
"                    {\n" +
"                      group_id: \"rang\",\n" +
"                      item_id: \"rAll\",\n" +
"                      name: \"All\",\n" +
"                      next_tab: \"rSel\",\n" +
"                      type: \"radio\",\n" +
"                    },\n" +
"                    {\n" +
"                      group_id: \"rang\",\n" +
"                      item_id: \"rCur\",\n" +
"                      name: \"Current Page\",\n" +
"                      next_tab: \"rFro\",\n" +
"                      type: \"radio\",\n" +
"                    },\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      type: \"view\",\n" +
"                      width: 256,\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          group_id: \"rang\",\n" +
"                          item_id: \"rFro\",\n" +
"                          name: \"From:\",\n" +
"                          next_tab: \"tFPg\",\n" +
"                          type: \"radio\",\n" +
"                        },\n" +
"                        {\n" +
"                          char_width: 6,\n" +
"                          item_id: \"tFPg\",\n" +
"                          next_tab: \"tTPg\",\n" +
"                          type: \"edit_text\",\n" +
"                        },\n" +
"                        {\n" +
"                          item_id: \"sta1\",\n" +
"                          name: \"To:\",\n" +
"                          type: \"static_text\",\n" +
"                        },\n" +
"                        {\n" +
"                          char_width: 6,\n" +
"                          item_id: \"tTPg\",\n" +
"                          next_tab: \"pEvn\",\n" +
"                          type: \"edit_text\",\n" +
"                        },\n" +
"                        {\n" +
"                          item_id: \"sOfN\",\n" +
"                          name: \"of (N)\",\n" +
"                          type: \"static_text\",\n" +
"                          width: 40,\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                    {\n" +
"                      height: 5,\n" +
"                      item_id: \"gap1\",\n" +
"                      type: \"gap\",\n" +
"                      width: 151,\n" +
"                    },\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          item_id: \"sta3\",\n" +
"                          name: \"Resize:\",\n" +
"                          type: \"static_text\",\n" +
"                        },\n" +
"                        {\n" +
"                          enable: \"true\",\n" +
"                          item_id: \"pEvn\",\n" +
"                          name: \"goo\",\n" +
"                          next_tab: \"ckAr\",\n" +
"                          type: \"popup\",\n" +
"                          width: 120,\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                  ]\n" +
"                },\n" +
"                {\n" +
"                  align_children: \"align_left\",\n" +
"                  alignment: \"align_distribute\",\n" +
"//                  char_height: 8,\n" +
"//                  char_width: 8,\n" +
"//                  height: 180,\n" +
"                  item_id: \"cBxs\",\n" +
"                  name: \"Apply to\",\n" +
"                  type: \"cluster\",\n" +
"//                  width: 110,\n" +
"                  elements:\n" +
"                  [\n" +
"                    {\n" +
"                      item_id: \"ckAr\",\n" +
"                      name: \"Art Box\",\n" +
"                      next_tab: \"ckBl\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                    {\n" +
"                      item_id: \"ckBl\",\n" +
"                      name: \"Bleed Box\",\n" +
"                      next_tab: \"ckCr\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                    {\n" +
"                      item_id: \"ckCr\",\n" +
"                      name: \"Crop Box\",\n" +
"                      next_tab: \"ckMe\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                    {\n" +
"                      item_id: \"ckMe\",\n" +
"                      name: \"Media Box\",\n" +
"                      next_tab: \"ckTr\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                    {\n" +
"                      item_id: \"ckTr\",\n" +
"                      name: \"Trim Box\",\n" +
"                      next_tab: \"OK\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                  ]\n" +
"                },\n" +
"              ]\n" +
"            },\n" +
"            {\n" +
"              align_children: \"align_left\",\n" +
"              alignment: \"align_fill\",\n" +
"              name: \"OK\",\n" +
"              type: \"ok_cancel\",\n" +
"            },\n" +
"          ]\n" +
"        },\n" +
"      ]\n" +
"    }\n" +
"  };\n" +
"\n" +
"// ------------------- end of dialog box code -------------------\n" +
"\n" +
"//app.alert(\"start: before JSADMDlg.DoDialog()\");\n" +
"var stat = DoTheDialog(ResizePageDlg);      // display the dialog box\n" +
"//app.alert(\"stat = \" + stat);\n" +
"if (\'ok\' == stat) {\n" +
"   // Determine the starting and ending pages to process.\n" +
"   // the values set are 0-based!\n" +
"   var fromPage, toPage;\n" +
"   switch (dlgValues[\'range\']) {\n" +
"      case \'all\':\n" +
"         fromPage = 0;\n" +
"         toPage = app.doc.numPages - 1;\n" +
"         break;\n" +
"      case \'current\':\n" +
"         fromPage = app.doc.pageNum;\n" +
"         toPage = app.doc.pageNum;\n" +
"      if (blnDebug) {console.println(\'In Current: pg:\'+ toPage);}\n" + 
"         break;\n" +
"      case \'range\':\n" +
"         fromPage = dlgValues[\'fromPage\'] - 1;\n" +
"         toPage = dlgValues[\'toPage\'] - 1;\n" +
"         break;\n" +
"   }\n" +
"   if (blnDebug) {console.println(\'fromPage, toPage (zero-based) = \' + fromPage + \', \' + toPage);}\n" +
"\n" +
"   // Set even and odd page flags.\n" +
"   var doOdd, doEven;\n" +
"   switch (dlgValues[\'oddeven\']) {\n" +
"      case \'All Pages\':\n" +
"         doOdd = true;\n" +
"         doEven = true;\n" +
"         break;\n" +
"      case \'Even Pages Only\':\n" +
"         doOdd = false;\n" +
"         doEven = true;\n" +
"         break;\n" +
"      case \'Odd Pages Only\':\n" +
"         doOdd = true;\n" +
"         doEven = false;\n" +
"         break;\n" +
"   }\n" +
"   if (blnDebug) {console.println(\'doOdd, doEven = \' + doOdd + \', \' + doEven);}\n" +
"\n" +
"   // set up anchor and box variables and calc new page size in points\n" +
"   var tmb, lcr, boxes, w, h;\n" +
"   tmb = dlgValues[\'anchor\'][0];\n" +
"   lcr = dlgValues[\'anchor\'][1];\n" +
"   w = dlgValues[\'w\'] * dlgValues[\'units\'];\n" +
"   h = dlgValues[\'h\'] * dlgValues[\'units\'];\n" +
"   if (blnDebug) {console.println(\'tmb, lcr, w, h = \' + tmb + \', \' + lcr + \', \' + w + \', \' + h);}\n" +
"   boxes = dlgValues[\'boxes\'];\n" +
"\n" +
//"   ProgDlg.DoResize(this,fromPage,toPage,doEven,doOdd,h,w,tmb,lcr,boxes);\n" +
"   DoResize(this,fromPage,toPage,doEven,doOdd,h,w,tmb,lcr,boxes);\n" +
"} // end if OK was pressed\n" +
"\n";
//</JSCodeSnippet>

//<JSCodeSnippet name="ButtonObjDef">
var oButObjResize = 
{cName: "Resize",
cExec: DoCmdResize,
cEnable: "event.rc = (app.doc != null)",
cMarked: "event.rc = false",
cTooltext: "Resize the Document Page Boxes",
nPos: 2,
cLabel: "Resize Pages"};
//</JSCodeSnippet>
if(oIconResize != null)
    oButObjResize.oIcon = oIconResize;

try{app.removeToolButton("Resize");}catch(e){}

//<JSCodeSnippet name="TryAddBut">
try
{
//</JSCodeSnippet>
//<JSCodeSnippet name="AddButtonfn">
    app.addToolButton(oButObjResize);
//</JSCodeSnippet>
if((event.type == "Doc") && (app.viewerVersion >= 7))
    global["Resize_InDoc"] = "1:10:2005:21:23:2";
else
    global["Resize"] = "1:10:2005:21:23:2";
//<JSCodeSnippet name="CatchAddBut">
}catch(e)
{
   if((global.bReportNameCollision != null) && (global.bReportNameCollision == true))
   {
    var strError = 'Cannot Install AcroButton "oButObjResize"\n';
    strError += ':' + e.fileName + '\n';
    strError += 'Error: ' + e.name + '\n';
    strError += e.message + '\n';
    strError += 'Possible Name conflict';
    app.alert(strError,0,0,'AcroButton Error');
   }
}
//</JSCodeSnippet>
 
//</AcroButtons>


